<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>%Karm API Overview</title>
    <filename>index</filename>
    <docanchor file="index">map</docanchor>
    <docanchor file="index">intro</docanchor>
  </compound>
  <compound kind="page">
    <name>sig_slot_index</name>
    <title>Index of Signals and Slots</title>
    <filename>sig_slot_index</filename>
    <docanchor file="sig_slot_index">overview</docanchor>
    <docanchor file="sig_slot_index">private</docanchor>
    <docanchor file="sig_slot_index">protected</docanchor>
    <docanchor file="sig_slot_index">public</docanchor>
    <docanchor file="sig_slot_index">signals</docanchor>
    <docanchor file="sig_slot_index">slots</docanchor>
  </compound>
  <compound kind="page">
    <name>connections</name>
    <title>Index of the signal/slot connections</title>
    <filename>connections</filename>
  </compound>
  <compound kind="class">
    <name>CSVExportDialog</name>
    <filename>classCSVExportDialog.html</filename>
    <base>CSVExportDialogBase</base>
    <member kind="function">
      <type></type>
      <name>CSVExportDialog</name>
      <anchorfile>classCSVExportDialog.html</anchorfile>
      <anchor>ff5a90b6ded6144de5cb02bcd14e0599</anchor>
      <arglist>(ReportCriteria::REPORTTYPE rt, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enableTasksToExportQuestion</name>
      <anchorfile>classCSVExportDialog.html</anchorfile>
      <anchor>c750341fe559ef7320cb26f5d2112855</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ReportCriteria</type>
      <name>reportCriteria</name>
      <anchorfile>classCSVExportDialog.html</anchorfile>
      <anchor>e0e3f86d112464730a0e48fb828f51a9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CSVExportDialogBase</name>
    <filename>classCSVExportDialogBase.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>enableExportButton</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>20c0ea9603e14aa8ec935ee713549424</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CSVExportDialogBase</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>189d430172e93bf3788e27f10212ab19</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags fl=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CSVExportDialogBase</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>679abd9e5b2692275d1651b1cea7d611</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>KPushButton *</type>
      <name>btnExport</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>43889525607a2dbf63b857dcf7c1e0af</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KPushButton *</type>
      <name>btnCancel</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>f62ceaa71dc557582777f12197e5829f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>textLabel1_3</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>40406f7cbf4cd2681ac67e1fbcaaef3e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURLRequester *</type>
      <name>urlExportTo</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>52fb94bb382c955c6496d3ede3bb31dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>quotesLabel</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>a8eee2d12c94af4fae6eb2f25eb94fc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QComboBox *</type>
      <name>cboQuote</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>91786b7248adfd93c27ea10d57d9fe25</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QGroupBox *</type>
      <name>grpDateRange</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>253e64af161229a5efb42e52ae43cd1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>textLabel1</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>f48dc0a1edb15c70498b788ffddaa959</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KDateEdit *</type>
      <name>dtFrom</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>903854602dd13f9625c161f3f47dfe94</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>textLabel1_2</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>4a232fa1b1f561da6576dde3b4256cf7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KDateEdit *</type>
      <name>dtTo</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>695a3a864a3df49f80aea2d48beade1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QButtonGroup *</type>
      <name>grpTimeFormat</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>b512d352a79601192f324593562468ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QRadioButton *</type>
      <name>radioHoursMinutes</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>7e5631230890da3a4b135fd82a27cd10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QRadioButton *</type>
      <name>radioDecimal</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>22458d6dc042cea670c188bae1a7cc76</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QButtonGroup *</type>
      <name>grpDelimiter</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>a9f48e3c66a21cddd56a2aef681b5c77</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QRadioButton *</type>
      <name>radioTab</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>4d9cca2f7595ee00befc75afe733a819</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QRadioButton *</type>
      <name>radioOther</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>d336cb8164477f1a7569eaf13c7b6bd8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QRadioButton *</type>
      <name>radioSpace</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>2528f02bd30f508e50b88247f00453c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QRadioButton *</type>
      <name>radioComma</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>21fefc371ad10db716aaa8ab73efab3e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>txtOther</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>c731e9052ad1284d83f93103c80e8ccf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QRadioButton *</type>
      <name>radioSemicolon</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>30e274c1cab7bce466fbc751c604dc7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>languageChange</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>6f4ee357ca7e150ba83f476a2f074455</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>CSVExportDialogBaseLayout</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>8e662bed326ab508e04949a47f3b6922</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpacerItem *</type>
      <name>spacer3</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>70f00da4bdb1808279b5d12cbe7e8d8e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpacerItem *</type>
      <name>spacer1</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>49ecf60ff70fd06f3066ff5ada76b0d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>grpDateRangeLayout</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>cce2651bb66c4d19231d0fbe5cac2211</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>grpTimeFormatLayout</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>832c4fc71182469f9758ad474e345e45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>grpDelimiterLayout</name>
      <anchorfile>classCSVExportDialogBase.html</anchorfile>
      <anchor>b53aa013b4ca8fb61a61afbd3eb32ab3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DesktopTracker</name>
    <filename>classDesktopTracker.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>handleDesktopChange</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>aed341f8c439cb71ee5ff1be1e2ccd0b</anchor>
      <arglist>(int desktop)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>reachedtActiveDesktop</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>929ef8fc9610dbb6937307acbcccb1c9</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>leftActiveDesktop</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>d2a40414229db63d3647c75bde20c052</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DesktopTracker</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>8527461138714c0cf1f49fe8bd844875</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printTrackers</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>2aba0a1561f033127e341b182d76f11b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>startTracking</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>2a0debd7581397753bccaef1e33f7639</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerForDesktops</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>01cde654bee0dc60f303d510ea5b90f4</anchor>
      <arglist>(Task *task, DesktopList dl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>desktopCount</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>72d41a5fe435dbdd6eb0f29145c32969</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EditTaskDialog</name>
    <filename>classEditTaskDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>EditTaskDialog</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>e58bc2567062f4cb25625adc0f176c87</anchor>
      <arglist>(QString caption, bool editDlg, DesktopList *desktopList=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTask</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>d036a2fa206b601fe77ed9152eacdebd</anchor>
      <arglist>(const QString &amp;name, long time, long sessionTime)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>taskName</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>89961367067f82b58bd9057f36daace5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>status</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>f0e509cf1cfab5ded62a588a4d7be6a0</anchor>
      <arglist>(long *time, long *timeDiff, long *session, long *sessionDiff, DesktopList *desktopList) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HistoryEvent</name>
    <filename>classHistoryEvent.html</filename>
    <member kind="function">
      <type></type>
      <name>HistoryEvent</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>88d02a28b767f7ca78503390df2bf43e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HistoryEvent</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>9509073bf4ac858bb9dbc54334c3bf0c</anchor>
      <arglist>(QString uid, QString name, long duration, QDateTime start, QDateTime stop, QString todoUid)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>ed9f073b405b88f9f72af12e012db178</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>0fe22aff18c820af53c8f7d634a51b45</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>duration</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>0b3453cc88efd57c6d2aba1fad6e550a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>start</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>38e7d1ad1988ed04546c97fe83bf0d52</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>stop</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>7708e0d6a57264ee35253e961b4ccce7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>todoUid</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>ea44f01a70c68c90fcb48f650e5c5d28</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IdleTimeDetector</name>
    <filename>classIdleTimeDetector.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setMaxIdle</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>ee5929bd06be255ea09790bf474ff3ff</anchor>
      <arglist>(int maxIdle)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>1ee14e6756fd95ca2b1ea00f89b4e97d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>d5e53c7ecaa371791e484473efd8953f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleOverAllIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>be788ab718c6bfcfabefb28f717a8387</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>extractTime</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>1c14010a08c5234c668493135c98ab92</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stopAllTimers</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>3fe06c02ea71ec3d891059b5d88b337f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stopAllTimersAt</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>087f9fa07f3001090cdaf9732a01f65c</anchor>
      <arglist>(QDateTime qdt)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdleTimeDetector</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>4057503bac5d04834a74f11b42c9802d</anchor>
      <arglist>(int maxIdle)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIdleDetectionPossible</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>ef350c1a3ab19b9f8e18e8565e976086</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>check</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>083bfabd0b11c2dcdfdb8477accae956</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAccelMenuWatch</name>
    <filename>classKAccelMenuWatch.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>updateMenus</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>2294e76722da1676d729d94daa163fd2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAccelMenuWatch</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>8ef7d9644575ce0a388c35d0cce67d6d</anchor>
      <arglist>(KAccel *accel, QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KAccelMenuWatch</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>1668281e143e189fb2795b1f3cd15218</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMenu</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>c9eac45f58354d7bead641e22b634a26</anchor>
      <arglist>(QPopupMenu *menu)</arglist>
    </member>
    <member kind="function">
      <type>QPopupMenu *</type>
      <name>currentMenu</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>cd4f302b2f25f835713f4b13621bbdbe</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectAccel</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>11490f3648c193f34a431071c9ee8da0</anchor>
      <arglist>(int itemId, const char *action)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectAccel</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>83392dc467607365cbb0068860d8a40c</anchor>
      <arglist>(int itemId, KStdAccel::StdAccel)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmDCOPIface</name>
    <filename>classKarmDCOPIface.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>version</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>ef4c7cec294d5ff38358e42f5ea23b00</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>taskIdFromName</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>589568ff52643825526f3b98e05c7936</anchor>
      <arglist>(const QString &amp;taskName) const=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>addTask</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>f0707d43497a01215b29cf796f7ef9a6</anchor>
      <arglist>(const QString &amp;taskName)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>setPerCentComplete</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>97525787cb8318fb06ab32d688d7256e</anchor>
      <arglist>(const QString &amp;taskName, int perCent)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>bookTime</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>4ca56cbfb2cde550aa400093c2c5d749</anchor>
      <arglist>(const QString &amp;taskId, const QString &amp;iso8601StartDateTime, long durationInMinutes)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>getError</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>9ac6c63251cf61abd90dd3ecc2ad7e77</anchor>
      <arglist>(int karmErrorNumber) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>totalMinutesForTaskId</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>f1d71ccd7ed2f59e89830d6e8d3017c9</anchor>
      <arglist>(const QString &amp;taskId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>starttimerfor</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>4800d14b4ea9480f1b279f490e165c53</anchor>
      <arglist>(const QString &amp;taskname)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>stoptimerfor</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>0ce08b3c6fe18d2a078777b59bc44f99</anchor>
      <arglist>(const QString &amp;taskname)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>deletetodo</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>c811a7ebfee69237d61b257ce57e5231</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>setpromptdelete</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>d3320d4153e7e2f8f8111cdda6bc10d0</anchor>
      <arglist>(bool prompt)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>getpromptdelete</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>4ae54e1e6345c30842591cf56ab59b1b</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>exportcsvfile</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>f44678e6863850aefbfea94c4096e16c</anchor>
      <arglist>(QString filename, QString from, QString to, int type=0, bool decimalMinutes=true, bool allTasks=true, QString delimiter=&quot;;&quot;, QString quote=&quot;&apos;&quot;)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>importplannerfile</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>dc015ea1f2e8a3b5b7d74bc4b328bbe0</anchor>
      <arglist>(QString filename)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>a2947b2710b3c19fc18ebda73d23e004</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>quit</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>605188ba11e7124a68d3fdd5386afc73</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>karmPart</name>
    <filename>classkarmPart.html</filename>
    <base virtualness="virtual">KarmDCOPIface</base>
    <member kind="function">
      <type></type>
      <name>karmPart</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>83fd8228858c4ab9b0535dac0e71bbd6</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>quit</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>bc728d8da93ef069218ab4bcac1a59ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>bb955c25e64cd8a0f2d7652331e6bf85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>version</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>ec0963602de805ec4cf69cad0bf1376f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>taskIdFromName</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>1e46cc21a2e51fdea56bcb81baaba1e1</anchor>
      <arglist>(const QString &amp;taskName) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addTask</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>c5712b371c7814dbe44d33c83b264806</anchor>
      <arglist>(const QString &amp;taskName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>setPerCentComplete</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>30de4080b1f8fa1f39d68124a92dfb1b</anchor>
      <arglist>(const QString &amp;taskName, int PerCent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bookTime</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>d411815848abe3cd0bd03d7122796eb7</anchor>
      <arglist>(const QString &amp;taskId, const QString &amp;iso8601StartDateTime, long durationInMinutes)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getError</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>5250319ec593d02efb1ffea7fc7fc2fe</anchor>
      <arglist>(int karmErrorNumber) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>totalMinutesForTaskId</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>9304cde9df11b2b5ff730ea444c75342</anchor>
      <arglist>(const QString &amp;taskId)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>starttimerfor</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>01dc133af29a63197e96728ea79aee81</anchor>
      <arglist>(const QString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>stoptimerfor</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>e86b5889eb7f48f828c3c742e8d18acc</anchor>
      <arglist>(const QString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>deletetodo</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>45a9114bf4dbc1014f7cc4e416d3b260</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getpromptdelete</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>2b2a23c3309f738eafa8e8725856c183</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>setpromptdelete</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>9881ea0826d978c55f2f814767e92223</anchor>
      <arglist>(bool prompt)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>exportcsvfile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>a0f7264083449fffaf98c93ea836b4d4</anchor>
      <arglist>(QString filename, QString from, QString to, int type=0, bool decimalMinutes=true, bool allTasks=true, QString delimiter=&quot;r&quot;, QString quote=&quot;q&quot;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>importplannerfile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>f8ff5f5e881c86a4f938cce6676e1cff</anchor>
      <arglist>(QString filename)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~karmPart</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>2165e9033c66370d37acdec272e59303</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadWrite</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>01791cf560e8f1eece1acb7ce2b127f6</anchor>
      <arglist>(bool rw)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModified</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>1bac947eb5ba82d424999090ca9db7de</anchor>
      <arglist>(bool modified)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>contextMenuRequest</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>d3a7b428872b45755db83c208ea18daf</anchor>
      <arglist>(QListViewItem *, const QPoint &amp;point, int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>fileOpen</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>9c3fe5aa713bd11f976496f2aa2a9b28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>fileSaveAs</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>e42b46ec5b4de796ad240198dd7dc727</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>7dae6940b9854fe03a92dea06511c115</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>8f2b31fad14ba5d13631df066f5f204b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>f16dcf6b1dc200325feb9823915103b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>saveFile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>5284d929ced192174d47eaeaf0687acf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KarmTray</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>5a0a638cf6db0818c4c641c505d3fed0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>karmPartFactory</name>
    <filename>classkarmPartFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>karmPartFactory</name>
      <anchorfile>classkarmPartFactory.html</anchorfile>
      <anchor>b975584784ec96737e91eb410095837d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~karmPartFactory</name>
      <anchorfile>classkarmPartFactory.html</anchorfile>
      <anchor>013ebdd4b2e2537a8b80f3b2fd49c13c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KParts::Part *</type>
      <name>createPartObject</name>
      <anchorfile>classkarmPartFactory.html</anchorfile>
      <anchor>9e5ab59e3d607a01c9a63d3b810912d4</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const char *classname, const QStringList &amp;args)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KInstance *</type>
      <name>instance</name>
      <anchorfile>classkarmPartFactory.html</anchorfile>
      <anchor>ec065c0192fd79f8dbab808c77745cb9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmStorage</name>
    <filename>classKarmStorage.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>load</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>8c707128d3f14637807145138821e20d</anchor>
      <arglist>(TaskView *taskview, const Preferences *preferences, QString fileName=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icalfile</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>720923b34d69c0a7db77e263d7a7fb4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>buildTaskView</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>d1f34396d616c0227153e4caec7136d2</anchor>
      <arglist>(KCal::ResourceCalendar *rc, TaskView *view)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeStorage</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>26e3745ddfa39d688efeb14d30e91a7f</anchor>
      <arglist>(TaskView *view)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>dd79932f855e7aa5fda180f177fc625e</anchor>
      <arglist>(TaskView *taskview)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>loadFromFlatFile</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>31314be2d906119dfba7111b18b7b17b</anchor>
      <arglist>(TaskView *taskview, const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>loadFromFlatFileCumulative</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>46b934dd0e1694f0f39e3e62a479638c</anchor>
      <arglist>(TaskView *taskview, const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>report</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>4d36c935a652dabc297ea571b5f7cfbd</anchor>
      <arglist>(TaskView *taskview, const ReportCriteria &amp;rc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTime</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>bd6111b30d7c4930d8c6d7b9d4daf294</anchor>
      <arglist>(const Task *task, const long deltaSeconds)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>bookTime</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>082d5930150c3db256c4dd23dbefb70c</anchor>
      <arglist>(const Task *task, const QDateTime &amp;startDateTime, long durationInSeconds)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a9a16025d66033522656c8fd33996453</anchor>
      <arglist>(const Task *task, const QString &amp;oldname)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startTimer</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>905f23e1bab55b4493d237dfcc469134</anchor>
      <arglist>(const Task *task)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stopTimer</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>9deb86884cc80783e4488b39f0fac128</anchor>
      <arglist>(const Task *task, QDateTime when=QDateTime::currentDateTime())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addComment</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>851699a706f7f2f98333023547908539</anchor>
      <arglist>(const Task *task, const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeTask</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>602128e1797fa4b69cf86ae2b5b57705</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>addTask</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>aea5b0757f27a32779ca56ba7abdb75a</anchor>
      <arglist>(const Task *task, const Task *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>506bee62614f3e59f7eae9466876f2bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNewStorage</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>00c538c2c663ee5091deb15d3ecf525d</anchor>
      <arglist>(const Preferences *preferences) const</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; HistoryEvent &gt;</type>
      <name>getHistory</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>5cef00b43033590f9b509559540c8d22</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KarmStorage *</type>
      <name>instance</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>3afb23e95c372f292a2454490254bee5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArmTimeWidget</name>
    <filename>classKArmTimeWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>KArmTimeWidget</name>
      <anchorfile>classKArmTimeWidget.html</anchorfile>
      <anchor>1f832ab0c8fe65f8b10dcd6927caaf44</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime</name>
      <anchorfile>classKArmTimeWidget.html</anchorfile>
      <anchor>426424ebb38a7459adbe9f6ea810ac96</anchor>
      <arglist>(long minutes)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>time</name>
      <anchorfile>classKArmTimeWidget.html</anchorfile>
      <anchor>74edf4f7d7c5ef57002b90424a312e57</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmTray</name>
    <filename>classKarmTray.html</filename>
    <base>KSystemTray</base>
    <member kind="slot">
      <type>void</type>
      <name>startClock</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>90acb5f416e99132744fa8db20b06038</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopClock</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>e00109d419cbabd9684e5a4f8fad8de8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>resetClock</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>2dbfc2ccbf4b32729c070dce0613ffc8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateToolTip</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>788848903e439f924429e0674503de62</anchor>
      <arglist>(QPtrList&lt; Task &gt; activeTasks)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>initToolTip</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>01a6a15bac1e3cc34ec3f15ca792b2ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KarmTray</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>92fbb010a16465e022ec371acd36f82d</anchor>
      <arglist>(MainWindow *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KarmTray</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>4dc1c5d1d6702f348c45a6391f69431e</anchor>
      <arglist>(karmPart *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KarmTray</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>31d444405fc660a00f2780c6ced84af2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>advanceClock</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>4da3d6c3b5bc2f3970b4b317d9d0e6af</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainWindow</name>
    <filename>classMainWindow.html</filename>
    <base virtualness="virtual">KarmDCOPIface</base>
    <member kind="slot">
      <type>void</type>
      <name>setStatusBar</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>46f8d314e2cd9e1fc05cf8c725ed084d</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>quit</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>542a7527ced73b2c9bc14f8dc9661a66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>5ae978e6d9604fedade4a61a657effe8</anchor>
      <arglist>(const QString &amp;icsfile=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>version</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>0554206f965a53997ffb44c999a55a34</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>taskIdFromName</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>aec19a2f9e584c2c7f7ee4f686768ec6</anchor>
      <arglist>(const QString &amp;taskName) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addTask</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>d394bf54346206cd24ebb27365f4f0ea</anchor>
      <arglist>(const QString &amp;storage)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>setPerCentComplete</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>bc6216373a0692cd3012564d004698f1</anchor>
      <arglist>(const QString &amp;taskName, int PerCent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bookTime</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>8d2c9b64b48dd98f5b41a7d049a5133c</anchor>
      <arglist>(const QString &amp;taskId, const QString &amp;iso8601StartDateTime, long durationInMinutes)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getError</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>1cbe7cf8a7bbb548d05d469aaa5b1a80</anchor>
      <arglist>(int karmErrorNumber) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>totalMinutesForTaskId</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>b270e07ec809afb8f91827855911a280</anchor>
      <arglist>(const QString &amp;taskId)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>starttimerfor</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>d106be98f28781400317553245f39075</anchor>
      <arglist>(const QString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>stoptimerfor</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>408e3ab960a9e8d4bc347dd538357cbe</anchor>
      <arglist>(const QString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>deletetodo</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>8b6e0b7d397519663169bcd8cc472fa0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getpromptdelete</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>c971abda92a8dba0988407f780f86c01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>setpromptdelete</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>224807c09de2f76fb4386300fe033d65</anchor>
      <arglist>(bool prompt)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>exportcsvfile</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>8ffbd765c27b74f279d4e60559d42c81</anchor>
      <arglist>(QString filename, QString from, QString to, int type, bool decimalMinutes, bool allTasks, QString delimiter, QString quote)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>importplannerfile</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a39a3cd247b17e68fdb89c8121627f01</anchor>
      <arglist>(QString filename)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>keyBindings</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>da7fa761359e56c13de461df6419e2e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>8ec66e19d705dc03243d577cfce9486d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>resetAllTimes</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>457cae44cf25c186a095ec70c5e6ff03</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateTime</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>fa79fa9c4ab4310e6a1b8bfa96f7b13b</anchor>
      <arglist>(long, long)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateStatusBar</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>d62e8427ddc79384e22bccaa2eb1fa1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a3d482e80b77965da25d42920f9e93c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>exportcsvHistory</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>aa06f61e7181f87227d8d011a27becea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>print</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>873aaee370c1456b99f1a2399ff13691</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>80e0c162855fffbbb8ef50b1392e2794</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>contextMenuRequest</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>72369842d6315163d02e2e52c297df32</anchor>
      <arglist>(QListViewItem *, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>enableStopAll</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>4b52ab481196a61b4d0cb63855a91965</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>disableStopAll</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>efcf4833467ddbdb18b4d808f1c14cae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>startStatusBar</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>55e7686b50bf11545d49255321f2a857</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>87fb089234b1023a36097ce1a6b2ec3c</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a57ea6af3d1a549aee61dcebe222d0b3</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveGeometry</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>cbb6153a5cf1a24a8b0aff80a8f48280</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadGeometry</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>7b76fa4cc07047914858c78000177c05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>queryClose</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>7b33febad78977e418b563c18192d726</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KarmTray</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>5a0a638cf6db0818c4c641c505d3fed0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MyPrinter</name>
    <filename>classMyPrinter.html</filename>
    <member kind="function">
      <type></type>
      <name>MyPrinter</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>695a6be78e2d80d810fa294ff75d715c</anchor>
      <arglist>(const TaskView *taskView)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>print</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>928b5961f808c625fa6f97e9b8600bca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printLine</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>6704e0ca6ecff4ac603e35c0f4267e1c</anchor>
      <arglist>(QString total, QString session, QString name, QPainter &amp;, int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printTask</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>a12900441a0c91f5a70314ccff162faa</anchor>
      <arglist>(Task *task, QPainter &amp;, int level)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>calculateReqNameWidth</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>44a4976db13538ac76eca11b13e02927</anchor>
      <arglist>(Task *task, QFontMetrics &amp;metrics, int level)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PlannerParser</name>
    <filename>classPlannerParser.html</filename>
    <member kind="function">
      <type></type>
      <name>PlannerParser</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>8ae1f49ad8d9dcd8168cf3e3885b4464</anchor>
      <arglist>(TaskView *tv)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>startDocument</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>dcb6d32a133d9a6cc4dfa12b0b50a42b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>startElement</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>5aa96bf631e31883301a0ecb66c73b62</anchor>
      <arglist>(const QString &amp;, const QString &amp;, const QString &amp;qName, const QXmlAttributes &amp;att)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>endElement</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>647053f9e6f0f476f297a1ec4dcda51b</anchor>
      <arglist>(const QString &amp;, const QString &amp;, const QString &amp;qName)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Preferences</name>
    <filename>classPreferences.html</filename>
    <base>KDialogBase</base>
    <member kind="slot">
      <type>void</type>
      <name>showDialog</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>bb124d36928699bba773df5728585536</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>load</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>83893074d5ffaf8bd3e7e9b18e52081a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>save</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>abb274345e18b258dd54f3c58f88eea1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>detectIdleness</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>4aa6353976551524eb5528bd6a2cc14d</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>idlenessTimeout</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>8182fd30aca08c88cada6564cbccf918</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>iCalFile</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>ad192826f9e46c80866190339d61a5d5</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoSave</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>b8894f3011e1046eace19f48b4d81d0f</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoSavePeriod</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>5235d64a0521820f44ffd463c639d854</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setupChanged</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>bb7c08f789bdb44791a61cc42959b5b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disableIdleDetection</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>31f542b9b10bcc8f6367e1f28ba728a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>detectIdleness</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>ac359fa67fa322585c0d025a28e9a060</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>idlenessTimeout</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>998a60e9b0e1f039ef26edb4f410a65d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>iCalFile</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>1580047a889d3bbdb0421bc4107bfc82</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>activeCalendarFile</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>d3813e57831fd9dfc501795f5ca9d4cd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>autoSave</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>d88f98f1918f25fa7f9fa32e3b26e1c2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>logging</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>f5891c8b9fdee39b1f3744b98d02766b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>autoSavePeriod</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>92cdb47c50c88c560d288c3b937381fe</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>promptDelete</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>176d0ac00b718af4fef5cf38bbf435df</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>setPromptDelete</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>28e4367ad5aa08a54cadc23595e2f440</anchor>
      <arglist>(bool prompt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>displayColumn</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>2a5e8d53730c44026f9613cdb6115330</anchor>
      <arglist>(int n) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userRealName</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>aefea4b399d5bca228e0785ccf539790</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitSignals</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>ca2e1293db49f7187eeb675e0dd5d0d5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readBoolEntry</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>29ed448f863d3624f15294b9f4f06a07</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEntry</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>8a7bd1dc3db4dcdebad026f0b71a8360</anchor>
      <arglist>(const QString &amp;key, bool value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteEntry</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>3585923ce8827386ab30ae3de4445575</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Preferences *</type>
      <name>instance</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>3b2eeda63480d9d1c381ebcb6604b83f</anchor>
      <arglist>(const QString &amp;icsfile=&quot;&quot;)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>9e0252ceae7408e53cdf5d4af33d35fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>4376413f5158b11eb5e377be9afba3bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>idleDetectCheckBoxChanged</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>3978f8e44cd76db697d62e00fb4b02a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>autoSaveCheckBoxChanged</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>3977a851160f003cb792e27f2c16c441</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PrintDialog</name>
    <filename>classPrintDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>PrintDialog</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>007a56095b231168af4c2c39e6422c3b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>from</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>575ecaacc350ab7d28c066685b06d3fd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>to</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>981749b5d3fd637f1bd8e66128730bbd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>perWeek</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>52ac35b4e926ad9ef11ba6f0e65bce55</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allTasks</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>98a3fc34371f2c3d9305d916825c6746</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>totalsOnly</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>ebe819356cc6a065962d6661a978e2bf</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ReportCriteria</name>
    <filename>classReportCriteria.html</filename>
    <member kind="enumeration">
      <name>REPORTTYPE</name>
      <anchor>36512d6df142d8f565ff3481716a4895</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>REPORTTYPE</type>
      <name>reportType</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>9d58d3994764df4bd8e435448544a905</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>7ed11ea6932032297409c5f831a4dd10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDate</type>
      <name>from</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>5671cee62da1587e9fc2f99ac4cd61b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDate</type>
      <name>to</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>4953a7eecad4bf77a40ea84b23277611</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>allTasks</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>728d2340758d663c9e34ed6dc5579639</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>decimalMinutes</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>0a40fd5022cc4bfde6c2f2b3f38d2178</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>delimiter</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>a31ef3532d513d3585afdafc2ab1ebcc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>quote</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>c3f9f255c22564d464f4e745a9f76a56</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Task</name>
    <filename>classTask.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>totalTimesChanged</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>7b0a05a8f222951adffcde7fa6d648f9</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deletingTask</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>e6ca164d2abc21da0695a33c9d476015</anchor>
      <arglist>(Task *thisTask)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Task</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>3ecf499ea35fb4a96853969a1e1cbbce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>firstChild</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>5fab698738d26d91e3f9205b41e10c4b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>nextSibling</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>7e0b661a9ce6ff587fd86984989b9480</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>parent</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>b3619919747c28a88b6daa31481f02f9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TaskView *</type>
      <name>taskView</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>b6645d116e60ff07a5b3c214d51363b0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>e286451afa6fe5d6130160f29879041a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>f52bbd875ab08da52edee8769ff3fb40</anchor>
      <arglist>(const QString uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cut</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>d999ac7a55fc18de3dae5804da154616</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>move</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>c5b97ac4b67457341ee4c9e8b00e74f1</anchor>
      <arglist>(Task *destination)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>paste</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>d38eca4755860b9e477dd54eb427cb9e</anchor>
      <arglist>(Task *destination)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>compare</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>8d8bbe86208a43693a49b1df30b476a8</anchor>
      <arglist>(QListViewItem *i, int col, bool ascending) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>4ceb4bba9ac808a61e346031a6beac89</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parseIncidence</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>81d582170ea0f2c74665c7bc89b4a2a0</anchor>
      <arglist>(KCal::Incidence *, long &amp;minutes, long &amp;sessionMinutes, QString &amp;name, DesktopList &amp;desktops, int &amp;percent_complete)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Todo *</type>
      <name>asTodo</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>fe2427b39575f149d4064d4537b61a87</anchor>
      <arglist>(KCal::Todo *calendar) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addComment</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>3bc5347f68d1c44eb5ddff2990c73051</anchor>
      <arglist>(QString comment, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>comment</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>7300f06304e23a1173c7fca2e49f2a8b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRoot</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>90d85fb662a860a34976cdca0c80fc3e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>remove</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>f3c73c4a21db23c5550c4ee25e44164b</anchor>
      <arglist>(QPtrList&lt; Task &gt; &amp;activeTasks, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPercentComplete</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ab22020f954727f597dd7a610b9182d3</anchor>
      <arglist>(const int percent, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPixmapProgress</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>8440f07186682b23c1c1212a461a33ee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isComplete</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>465cfd298427ead3becc3911098f776c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeFromView</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>4d6979d0c0f706d202fcd78849d4fe07</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>lastStart</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>90ce9e63c953acda7036d71a6a30a667</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>4bdbf1a80fc1172dd2a2545bca272b3a</anchor>
      <arglist>(long minutes, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>1be2a2bf84f843d70b33be28c10a4025</anchor>
      <arglist>(long minutesSession, long minutes, KarmStorage *storage=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTotalTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>958864b71ceb9134557fcecd1bb6c7df</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>3a6b331837192d762fcf06b45fd4b609</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>time</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>c73facb1e9cd52626205142f083e8086</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>totalTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a47e4a66412bea936939000ef5a3aed0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>sessionTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ce1a690c5bf2b61d311fb881b755e0fc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>totalSessionTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>35ebe5e5248c89751d432733531fbabb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>startTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>20f1ca498536c8329e11241c5b78705b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>f322e5b6ad97ee507f49a5096e202d46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDesktopList</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>9a45bc0b67cf9d22139d94f4c4095842</anchor>
      <arglist>(DesktopList dl)</arglist>
    </member>
    <member kind="function">
      <type>DesktopList</type>
      <name>getDesktops</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>c05d877bac7e8c89275999e17a995e2e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getDesktopStr</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ee9a80e43513c4aa20db07477e4aeca9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>700e1105fcebc29088211bc9db9944d6</anchor>
      <arglist>(const QString &amp;name, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>757e808e9aa28334423b38415534a3b6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>2663236f26d818d0fad5b567a629c226</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRunning</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>6b36fb9311e31d5708ba0755721e8292</anchor>
      <arglist>(bool on, KarmStorage *storage, QDateTime whenStarted=QDateTime::currentDateTime(), QDateTime whenStopped=QDateTime::currentDateTime())</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>d6abe9097628c64d57347c1657e518c8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateActiveIcon</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>73851f2e76b40b6c99cfbe02752d8059</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>changeParentTotalTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>22176558bdf16333f0ff3db686294bd0</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskView</name>
    <filename>classTaskView.html</filename>
    <base>KListView</base>
    <member kind="slot">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a44fba4868b50914f03bf7b7bc45274e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startCurrentTimer</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>639574ae0a0502e165b5ce3bab6dbd13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopCurrentTimer</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>31ddc7a863e428bf3edf5e2eb1a50de7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopAllTimers</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>e3bb12fde718e07f246307aad386e3ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopAllTimersAt</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>fb2a62582fc7f4385373bc464bde9054</anchor>
      <arglist>(QDateTime qdt)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>97a77780f5673be980ca7be887c9a436</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>45ac5c5721fee3bc856c16f54d14c746</anchor>
      <arglist>(QString caption, Task *parent)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>62a6de5702b8772e6200ec447cf9b664</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>loadFromFlatFile</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>1729aefe766187c1efe34a8017cdca70</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>importPlanner</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>bf9961221707538335b1fe5b939e2fff</anchor>
      <arglist>(QString fileName=&quot;&quot;)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>report</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>6ae8ad51a6e563e5f7c1cad9b2ef4ec3</anchor>
      <arglist>(const ReportCriteria &amp;rc)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exportcsvFile</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>8f8d52286b85e4c04b38247e9b6110bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>exportcsvHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>cc29cbfd8320d66b658559cca4e71d5a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newSubTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>b4ea749d211bf7b025bea6ceb1ad34d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>e26e3bb93702aea2e807c1ff4b7825f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>KarmStorage *</type>
      <name>storage</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>03d27e96a50dcffa947644f49641f300</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a936059d9cee284f85e81b1df2207a34</anchor>
      <arglist>(bool markingascomplete=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reinstateTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>dc58f7358fbdb44a4d4a6f26890ba925</anchor>
      <arglist>(int completion)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>markTaskAsComplete</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>aa539eb9d6026a8d3444e17e15fdc8ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>markTaskAsIncomplete</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>c1678c4225467f4b2ad7e1835ea51b79</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>extractTime</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>75a6aee0e21b8165ead27b25e4dd555d</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>taskTotalTimesChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>83b54fc97cea65fc2e628481be42b12d</anchor>
      <arglist>(long session, long total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>adaptColumns</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>b515dec11194c0aa594e17bdd4db233a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deletingTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>59851e18b84775a2f9e3a89ec477f425</anchor>
      <arglist>(Task *deletedTask)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startTimerFor</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>1f0a2039eca771ee28f457f6a8d098d5</anchor>
      <arglist>(Task *task, QDateTime startTime=QDateTime::currentDateTime())</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopTimerFor</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>2c591387533dafe6b6482f34fca6934f</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clearActiveTasks</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>918b4d6f5147a80b9d60d57fc2ae0a8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>iCalFileChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>c4054db82392999c9e0c1d53d8dc463a</anchor>
      <arglist>(QString file)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clipTotals</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>08c5630feb473c5b51a045b85185b616</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clipSession</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>823aa24a911391922c14549b2a886a96</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clipHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a2f20d1a4ec54630840b0228f602a661</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>totalTimesChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>85398620d8294a1c747e8047e134f80d</anchor>
      <arglist>(long session, long total)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>updateButtons</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>43f8678f4f5e5f4392408f57df0fd628</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timersActive</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>8f68c722862dbbdcdc19c57c11b40749</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timersInactive</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>1499d5586b5b70465da61a6295d6bed3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>tasksChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>6743b6facfca89e74cc9ab7d628d2221</anchor>
      <arglist>(QPtrList&lt; Task &gt; activeTasks)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setStatusBar</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>d1d449645068ed43efbb76001c7dc571</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TaskView</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>f21c8a68dfd86a62f48294613eed9a85</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, const QString &amp;icsfile=&quot;&quot;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TaskView</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>7a914c394b51c4e89b5e9e4dc34039a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>first_child</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>14ed65c493ba24247aa53d43893fe109</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>current_item</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>82bb571d4d102bc8ded980f141fa05de</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>item_at_index</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>9050454887e14a5c62725e23f242639d</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>347e02bcfcf2936ead89a6ddd0169058</anchor>
      <arglist>(QString filename=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeStorage</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>74fe4fed0700550fcfda0f5abb88d211</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>f6127fd23064e1237a0589ca70978ae6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetTimeForAllTasks</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>46bf86d293a62ae07f78b3d62ffc608e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>count</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>1baadc861bc75b2aa06ce7351a03cefd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; HistoryEvent &gt;</type>
      <name>getHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>adb71476416b845466c798c8c70afb0a</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scheduleSave</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>cdacd37c9f4309ee0b2ff52e052792e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Preferences *</type>
      <name>preferences</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>03abf669a3d3a5a669cd2f8e0dcbcee0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>addTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>95444f5b404432ec90ab3f16564cf00b</anchor>
      <arglist>(const QString &amp;taskame, long total, long session, const DesktopList &amp;desktops, Task *parent=0)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>autoSaveChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>cdf4cbdd1367400e1c48e3f0270d12cb</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>autoSavePeriodChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>1cd043a4892910e39fd18bd0c0f84d9b</anchor>
      <arglist>(int period)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>minuteUpdate</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>96404f1bfc9cff477aae7728c3414dce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>itemStateChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>43dc6e7573e4f8a46c45b0b1200e916c</anchor>
      <arglist>(QListViewItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>iCalFileModified</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>2e887f2a1308134994ca9da82841ebcd</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskViewWhatsThis</name>
    <filename>classTaskViewWhatsThis.html</filename>
    <member kind="function">
      <type></type>
      <name>TaskViewWhatsThis</name>
      <anchorfile>classTaskViewWhatsThis.html</anchorfile>
      <anchor>64504265ebc7d92830032ea2521b4419</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TaskViewWhatsThis</name>
      <anchorfile>classTaskViewWhatsThis.html</anchorfile>
      <anchor>6970cb93b0151c3ad7e0c6c0fca8d8cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classTaskViewWhatsThis.html</anchorfile>
      <anchor>f94c5db354837784801aa3c5e4b2220c</anchor>
      <arglist>(const QPoint &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TimeKard</name>
    <filename>classTimeKard.html</filename>
    <member kind="enumeration">
      <name>WhichTime</name>
      <anchor>072876150396c0e7933cd7a108a65257</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TimeKard</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>e119f09457501f27602de02dd9e61a58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>totalsAsText</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>730207cd18472b4864152eed9617fb53</anchor>
      <arglist>(TaskView *taskview, bool justThisTask, WhichTime which)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>historyAsText</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>af4e6010f2035ddba3e4fbcf1b11986b</anchor>
      <arglist>(TaskView *taskview, const QDate &amp;from, const QDate &amp;to, bool justThisTask, bool perWeek, bool totalsOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Week</name>
    <filename>classWeek.html</filename>
    <member kind="function">
      <type></type>
      <name>Week</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>95d336c880593bc5d5ca922fbe68d0b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Week</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>f2a8e79e0efe2531576294749bcef271</anchor>
      <arglist>(QDate from)</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>start</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>71f10dd8073f0c1bfde68fd26c279ec1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>end</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>c808cdbc6c9d82025573a25beaa2ae96</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QDate &gt;</type>
      <name>days</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>12e53e575d129e4b8c1e997ae6271f9f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>253c05c50452a63c6bf301ba45fff783</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QValueList&lt; Week &gt;</type>
      <name>weeksFromDateRange</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>2194a16375c993afa7ae1480e00a752b</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to)</arglist>
    </member>
  </compound>
</tagfile>
