<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="struct">
    <name>KHoliday</name>
    <filename>structKHoliday.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>text</name>
      <anchorfile>structKHoliday.html</anchorfile>
      <anchor>43c81149d410f6ab303ef50424c6f760</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>shortText</name>
      <anchorfile>structKHoliday.html</anchorfile>
      <anchor>250256c15ec20311257336093fa93630</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>Category</name>
      <anchorfile>structKHoliday.html</anchorfile>
      <anchor>01a862838a3c1bcfbadc3b7d56e1a989</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays</name>
    <filename>classKHolidays.html</filename>
    <member kind="function">
      <type></type>
      <name>KHolidays</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>47ee2d70e53686d96958c1e3082876f7</anchor>
      <arglist>(const QString &amp;location)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KHolidays</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>8a963a52cd6f3d462e51843756c5ae08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>location</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>55cb9d55dc46c2afc6d1fd78dbf39af4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; KHoliday &gt;</type>
      <name>getHolidays</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>7f4c5e2f42f34590c9bdedb6633aba21</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QString</type>
      <name>shortText</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>85612a4e19107b90625bfe0eba41e933</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QString</type>
      <name>getHoliday</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>3d6af552f95d79c8f5d8a84867e442f1</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED int</type>
      <name>category</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>181880f3f0901556ca816c423266668e</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>locations</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>d2d6e7df69df0a5b22a1582dffc3442e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>fileForLocation</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>25096635b7fde28adc51c3f2a075145a</anchor>
      <arglist>(const QString &amp;location)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>userPath</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>fa8ed28941ce0499a4b27b1d21d0b99d</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>generateFileName</name>
      <anchorfile>classKHolidays.html</anchorfile>
      <anchor>fcd34df0ca980279037f05450a2bfade</anchor>
      <arglist>(const QString &amp;location)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LunarPhase</name>
    <filename>classLunarPhase.html</filename>
    <member kind="enumeration">
      <name>Phase</name>
      <anchor>05268b27d34330ab9af6f1f33150f396</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Hemisphere</name>
      <anchor>11d4a32e8f26f9526af7ed1ad3a37bfa</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LunarPhase</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>ae1d9d1aa9d08c4415c4268c060b2788</anchor>
      <arglist>(Hemisphere hemisphere=Northern)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~LunarPhase</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>61e72fb7783868b42650fbbdd3f3af6b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Phase</type>
      <name>phase</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>3d80252678c0c4795bd0f9a42fc63fc1</anchor>
      <arglist>(const QDate &amp;date) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>phaseStr</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>e9e43176f5a8f5a0c5fd5696013b7b49</anchor>
      <arglist>(const QDate &amp;date) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHemisphere</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>6c4096be9374cc33bb14adb770e817dd</anchor>
      <arglist>(Hemisphere hemisphere=Northern)</arglist>
    </member>
    <member kind="function">
      <type>Hemisphere</type>
      <name>hemisphere</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>5578c2e92fc77f4fff743dd6c7fe18c9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>hemisphereStr</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>3d4965dba3e2bb88e1725a4938cfad6f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>hemisphereName</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>ea28e770ecd2312f5c81ba14f2cc1312</anchor>
      <arglist>(Hemisphere hemisphere)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>phaseName</name>
      <anchorfile>classLunarPhase.html</anchorfile>
      <anchor>e2649d6c1b7138dc1ff82d8feb27eeeb</anchor>
      <arglist>(Phase phase)</arglist>
    </member>
  </compound>
  <compound kind="union">
    <name>YYSTYPE</name>
    <filename>unionYYSTYPE.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>ival</name>
      <anchorfile>unionYYSTYPE.html</anchorfile>
      <anchor>e9d3f6cba410d8f367f34437acf8c9a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>sval</name>
      <anchorfile>unionYYSTYPE.html</anchorfile>
      <anchor>b660933e53766ba3914f0d60ed01f6e4</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
