<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>libemailfunctions</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>email.h</name>
    <path>/tmp/buildd/kdepim-3.5.10.enterprise.0.20100119.1077273/libemailfunctions/</path>
    <filename>email_8h</filename>
    <namespace>KPIM</namespace>
    <member kind="enumeration">
      <name>EmailParseResult</name>
      <anchor>e264878f406140142a8ea814d844269c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>1b3f944447af939d7cc8dbcca3e17dd1</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>d6086383a189e47fec3dfb8b23454e42</anchor>
      <arglist>(const QCString &amp;address, QCString &amp;displayName, QCString &amp;addrSpec, QCString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>5afb7c176becd54cc1386cb99de69780</anchor>
      <arglist>(const QString &amp;address, QString &amp;displayName, QString &amp;addrSpec, QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>isValidEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ede7c3a71b38831ff4af76ae1c43ba59</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>emailParseResultToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a30952e2f1363639b6cbf9900eca8c48</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSimpleEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>2a79d27619162ebcde5e1baafab32107</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>07eb04eabd4c1a4751367e4315830118</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a99a7f05e78366de201ef16e9ad3f2f5</anchor>
      <arglist>(const QCString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>c7614d1ca9ae859b3b2eea3ebbd718cf</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ae29d22b62f0fcbf0d38d3bcf248b3fd</anchor>
      <arglist>(const QCString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>96335600381a6060d41a5e0ccef25c0a</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getNameAndMail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>d54fbc02d97ef37fb27d30c26af9ab76</anchor>
      <arglist>(const QString &amp;aStr, QString &amp;name, QString &amp;mail)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>compareEmail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>1cbe7054b25251d7bc7f4b56c343ec6a</anchor>
      <arglist>(const QString &amp;email1, const QString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizedAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>8e002e2ce057d79589151e36e2cd00c7</anchor>
      <arglist>(const QString &amp;displayName, const QString &amp;addrSpec, const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>decodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>dda15f298395eb08a1e739ea2dd71879</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>encodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>f9d1d1c848629fdfc1ee760a917f7e6b</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndDecodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>838c1fb6709e5772887c1e0cebe9e73a</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndEncodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>424439bc3d3250ef48d9ac1cf0582ff2</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a65552fc3f9ec5420b19fad2c2d82f25</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
    <class kind="class">KPIM::IdMapper</class>
    <class kind="class">KPIM::NetworkStatus</class>
    <member kind="enumeration">
      <name>EmailParseResult</name>
      <anchor>e264878f406140142a8ea814d844269c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>1b3f944447af939d7cc8dbcca3e17dd1</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>d6086383a189e47fec3dfb8b23454e42</anchor>
      <arglist>(const QCString &amp;address, QCString &amp;displayName, QCString &amp;addrSpec, QCString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>5afb7c176becd54cc1386cb99de69780</anchor>
      <arglist>(const QString &amp;address, QString &amp;displayName, QString &amp;addrSpec, QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>isValidEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ede7c3a71b38831ff4af76ae1c43ba59</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>emailParseResultToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a30952e2f1363639b6cbf9900eca8c48</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSimpleEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>2a79d27619162ebcde5e1baafab32107</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>07eb04eabd4c1a4751367e4315830118</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a99a7f05e78366de201ef16e9ad3f2f5</anchor>
      <arglist>(const QCString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>c7614d1ca9ae859b3b2eea3ebbd718cf</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ae29d22b62f0fcbf0d38d3bcf248b3fd</anchor>
      <arglist>(const QCString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>96335600381a6060d41a5e0ccef25c0a</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getNameAndMail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>d54fbc02d97ef37fb27d30c26af9ab76</anchor>
      <arglist>(const QString &amp;aStr, QString &amp;name, QString &amp;mail)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>compareEmail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>1cbe7054b25251d7bc7f4b56c343ec6a</anchor>
      <arglist>(const QString &amp;email1, const QString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizedAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>8e002e2ce057d79589151e36e2cd00c7</anchor>
      <arglist>(const QString &amp;displayName, const QString &amp;addrSpec, const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>decodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>dda15f298395eb08a1e739ea2dd71879</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>encodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>f9d1d1c848629fdfc1ee760a917f7e6b</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndDecodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>838c1fb6709e5772887c1e0cebe9e73a</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndEncodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>424439bc3d3250ef48d9ac1cf0582ff2</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a65552fc3f9ec5420b19fad2c2d82f25</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned char</type>
      <name>ASCIIToLower</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>3be1bd2f05fe198b10d57156a11fafa2</anchor>
      <arglist>(unsigned char ch)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>kAsciiToLower</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a7e658b703f73630b7852c858d0cf532</anchor>
      <arglist>(char *str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned char</type>
      <name>ASCIIToUpper</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e1a7d018d2d8de9b0e396c8741c89e8b</anchor>
      <arglist>(unsigned char ch)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>kAsciiToUpper</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>f0520be3d7964dd69630f1d580eac236</anchor>
      <arglist>(char *str)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::IdMapper</name>
    <filename>classKPIM_1_1IdMapper.html</filename>
    <member kind="function">
      <type></type>
      <name>IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>abcb9b58eb3cc8651b3baaa40da4f6c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>6251fb96119d0ae039da588613a85d30</anchor>
      <arglist>(const QString &amp;path, const QString &amp;identifier=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>d07bbfd789c3e6517eb5b2578650e4bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPath</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a32f4727d1376ac39d8d1733a3f8a66c</anchor>
      <arglist>(const QString &amp;path)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>path</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>9318fc9e83c04207d6b00921b4b53ef7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>435054a14b02a43f87b5a1c7f5569046</anchor>
      <arglist>(const QString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>e0b262e51ffccdbc5d0335741659ea4b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>2f6d29d2a80837c9bb298e187a030d4e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>77a4825834f626137f0aae38827ba43d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>74b10758cfb38f49aa3f05ad100037af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRemoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>541b330afe20d0d32abcf9bd339aafae</anchor>
      <arglist>(const QString &amp;localId, const QString &amp;remoteId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeRemoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>45f742c9dbad4c5ee7ae84370a75a204</anchor>
      <arglist>(const QString &amp;remoteId)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>remoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>4ce2b44248af567fb62e72deb9898475</anchor>
      <arglist>(const QString &amp;localId) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>localId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a2a5cd41f54d0e176031df381b332767</anchor>
      <arglist>(const QString &amp;remoteId) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>b123506596ef72984c906b70caffa7a7</anchor>
      <arglist>(const QString &amp;localId, const QString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>fingerprint</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a66f0fda9fdad6528eb867ceb5dab179</anchor>
      <arglist>(const QString &amp;localId) const</arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>remoteIdMap</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>4a9dfa6c80829ec4ced54d84d153d261</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>asString</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>8f38e5888ef22ad632c29eecf4fa43c3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>filename</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>9976f9e64d69b638de14a165bc595eb8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::NetworkStatus</name>
    <filename>classKPIM_1_1NetworkStatus.html</filename>
    <member kind="enumeration">
      <name>Status</name>
      <anchor>5f70609343c4f193a045aa476b2d409c</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusChanged</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>54be6237a21f6b633de6cd165411da1f</anchor>
      <arglist>(Status status)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>onlineStatusChanged</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>cc3ba5afef5a2a3f2d93de5f993934cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~NetworkStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>a1f54631fc9a6bc47292c5b22b4f69c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>1e0d58c1de17f406b32d2520d639b535</anchor>
      <arglist>(Status status)</arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>1d3954a85007a08b291408cff623aabd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static NetworkStatus *</type>
      <name>self</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>ffc2957895b7e0f3fd5688eb9361f0ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>NetworkStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>328fb9a09e00f229467ba593b2ae90e8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
