<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="namespace">
    <name>Kpgp</name>
    <filename>namespaceKpgp.html</filename>
    <class kind="class">Kpgp::Module</class>
    <class kind="class">Kpgp::Base</class>
    <class kind="class">Kpgp::Base2</class>
    <class kind="class">Kpgp::BaseG</class>
    <class kind="class">Kpgp::Base5</class>
    <class kind="class">Kpgp::Base6</class>
    <class kind="class">Kpgp::Block</class>
    <class kind="class">Kpgp::KeyIDList</class>
    <class kind="class">Kpgp::UserID</class>
    <class kind="class">Kpgp::Subkey</class>
    <class kind="class">Kpgp::Key</class>
    <class kind="class">Kpgp::KeyList</class>
    <class kind="class">Kpgp::PassphraseDialog</class>
    <class kind="class">Kpgp::Config</class>
    <class kind="class">Kpgp::KeySelectionDialog</class>
    <class kind="class">Kpgp::KeyRequester</class>
    <class kind="class">Kpgp::PublicKeyRequester</class>
    <class kind="class">Kpgp::SecretKeyRequester</class>
    <class kind="class">Kpgp::KeyApprovalDialog</class>
    <class kind="class">Kpgp::CipherTextDialog</class>
    <member kind="typedef">
      <type>QCString</type>
      <name>KeyID</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>98473cadd7c840ff1dd1270a049cf82a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrList&lt; UserID &gt;</type>
      <name>UserIDList</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>c17785f51e2a9ee44e1f2bebc4ba3259</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrListIterator&lt; UserID &gt;</type>
      <name>UserIDListIterator</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>1407e48659da4f8e56c7094e9854869e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrList&lt; Subkey &gt;</type>
      <name>SubkeyList</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>23aedaeaa45ad051931bdca7bf3e7092</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrListIterator&lt; Subkey &gt;</type>
      <name>SubkeyListIterator</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>15ac1353e9e8b1c7eab17fbbcebc065b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrList&lt; Key &gt;</type>
      <name>KeyListBase</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>3a6daa0867e003bf3d4a8785ff4e8a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrListIterator&lt; Key &gt;</type>
      <name>KeyListIterator</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>c7dab5f5cb308bb595722e299d0c00be</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Result</name>
      <anchor>c5068768d63e0d201ce96ef3c611468b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>BlockType</name>
      <anchor>9ba4e4eb8a75fb85a59e9d5c57d0d91a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>MessageStatus</name>
      <anchor>2b6a347051fb952c4cfaa603e7ea5408</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Validity</name>
      <anchor>ebfd321f3e63d1846a75ad1760325464</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>EncryptPref</name>
      <anchor>d587dbb21bdb8e352ad05cb31cb777a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Module &gt;</type>
      <name>kpgpod</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>c271650b5ae5c5ca5d00f7c7bc40b0ea</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Module</name>
    <filename>classKpgp_1_1Module.html</filename>
    <member kind="enumeration">
      <name>PGPType</name>
      <anchor>c4ac8a4c43ea9fd1c8bb5c975fe94e66</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Module</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>78515ee06a7f9aa7377c757bc8b4a719</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Module</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>d75c53579135c6e3818798fac08a578c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>0bf979b05594a259f34e17857aa91383</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>bf7b1e5607e79d3f2aad7baa4ac8799b</anchor>
      <arglist>(bool sync)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>init</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>bcf3d226c3ab6d16be001220a0026871</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>8892aaad926c52e277a579e76a053e4b</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>9ff1100a1ce8925bb3b41f792b9e0dff</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>d1bff4f28fc5991b0e4ac52831561555</anchor>
      <arglist>(Block &amp;block, const KeyID &amp;keyId, const QCString &amp;charset=0)</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>edb6fe37b57c2aa750f045e6e340b346</anchor>
      <arglist>(Block &amp;block, const QStringList &amp;receivers, const KeyID &amp;keyId, bool sign, const QCString &amp;charset=0)</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>getEncryptionKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>869d753458f2ba6055424e5dc57eda70</anchor>
      <arglist>(KeyIDList &amp;encryptionKeyIds, const QStringList &amp;recipients, const KeyID &amp;keyId)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>encryptionPossible</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>13a2e3415273702e7b6d5a02c9f44b5e</anchor>
      <arglist>(const QStringList &amp;recipients)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>62590a73edc3035c74ef3cfc0fc8d47e</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>const KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>f80bacc8100a3701eb81278aedc00923</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>4b59ee9a060ee03b0c07ca3880c4421b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readPublicKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>e7f880932a2e7263611214f69a0fe5a2</anchor>
      <arglist>(bool reread=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readSecretKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>b30d6b7789d5abe26a38019c9d5900b2</anchor>
      <arglist>(bool reread=false)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>5f4ccb4666ec3a53800602097df4d53e</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>publicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>5f4cc7f4d4b72fa5f330c23cbaf6da43</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>publicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>72cb98a00e6262f5527b309703921b99</anchor>
      <arglist>(const QString &amp;userID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>secretKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>05108b293a955ddcced41b7ab31b54c1</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>84346f01a1ff7acd676c93545994f4e8</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>f739660bbf51dd7b2b03673f71b5a7bd</anchor>
      <arglist>(const QString &amp;userID)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTrusted</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>63c4ca21348ab53edeadc57b55ddc3cb</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>rereadKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>31a9ec0113233caa06c24eaf17a2436c</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changePassPhrase</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>ff171e551eded435c0d261afffbc38ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUser</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>d5a4ff29f3fa5a234fb0743e72051e1b</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>const KeyID</type>
      <name>user</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>365dbad308d343e8654fefdf7b728ee0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptToSelf</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>c880af0c1df414425c64cf3255bc09ed</anchor>
      <arglist>(bool flag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptToSelf</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>c337a30801e4d1ea4c7f27a415896c61</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStorePassPhrase</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>1f53f08259cae1164131a65d08f34128</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>storePassPhrase</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>bb370fd7389325d1930ab5dde0125021</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>d3bf09c06860785c670146d4a221a043</anchor>
      <arglist>(const bool erasePassPhrase=FALSE)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>lastErrorMsg</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>5a2cf6a577f4842b1730b5c26cf7a7f0</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>havePGP</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>b40c3a03c5edd6e25e60f4b0368a7c45</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>usePGP</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>81db32ca4e529415e16f1c6bf1439683</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowCipherText</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>c15e28994411361454caf49272090f05</anchor>
      <arglist>(const bool flag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showCipherText</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>91a0e8fd081065c74fbc40097d8026f1</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowKeyApprovalDlg</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>fd1222a490fff2fc9a06b1f6bd8b7091</anchor>
      <arglist>(const bool flag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showKeyApprovalDlg</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>5fe90c4bff71eb813dfc070d86501c94</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>selectSecretKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>1be826e069374566dc5f207637ad4a4a</anchor>
      <arglist>(const QString &amp;title, const QString &amp;text=QString::null, const KeyID &amp;keyId=KeyID())</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>selectPublicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>279d66e475a41ce9f31de5aa978f0e4f</anchor>
      <arglist>(const QString &amp;title, const QString &amp;text=QString::null, const KeyID &amp;oldKeyId=KeyID(), const QString &amp;address=QString::null, const unsigned int allowedKeys=AllKeys)</arglist>
    </member>
    <member kind="function">
      <type>KeyIDList</type>
      <name>selectPublicKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>32201582e2c33878bb75585dbd5ef2f0</anchor>
      <arglist>(const QString &amp;title, const QString &amp;text=QString::null, const KeyIDList &amp;oldKeyIds=KeyIDList(), const QString &amp;address=QString::null, const unsigned int allowedKeys=AllKeys)</arglist>
    </member>
    <member kind="function">
      <type>EncryptPref</type>
      <name>encryptionPreference</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>7a879416a344b6edd420b40c375ef600</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionPreference</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>afbf8936a9ce7f8495601fce4a1b27e3</anchor>
      <arglist>(const QString &amp;address, const EncryptPref pref)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Kpgp::Module *</type>
      <name>getKpgp</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>6a323f9bb94dfb8cf054557a7104e49e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KConfig *</type>
      <name>getConfig</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>afa7f8f4e0fcf8cb6f09774fe4dd603d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>prepareMessageForDecryption</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>97b872c89a89dc46e955b57ff8170235</anchor>
      <arglist>(const QCString &amp;msg, QPtrList&lt; Block &gt; &amp;pgpBlocks, QStrList &amp;nonPgpBlocks)</arglist>
    </member>
    <member kind="variable">
      <type>enum Kpgp::Module::PGPType</type>
      <name>pgpType</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>2758da44859ce923f38146d10d0f49d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>doEncSign</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>5018dc87f671a129bb506d8b8adca5ef</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipientKeyIds, bool sign)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Block</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>c2af81cbc457d21a00f09f5e7e5c4ddf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base</name>
    <filename>classKpgp_1_1Base.html</filename>
    <member kind="function">
      <type></type>
      <name>Base</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>bb7e2439b017371fc0c9271391516a33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>7702a4721f06c8fd96f91059d2ccf9cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>ae0c5cd2056c47c4f688674023c75646</anchor>
      <arglist>(Block &amp;, const KeyIDList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>28de73208329fe4bd215ef4a34bb3199</anchor>
      <arglist>(Block &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>932696fabbdbc14f061fc72e6c771e36</anchor>
      <arglist>(Block &amp;, const KeyIDList &amp;, const char *=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>056db11e920412a53d13d29446ed1960</anchor>
      <arglist>(Block &amp;, const char *=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>6a7fa9413102e0faa66b614f1e2de357</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>abfebba6a19304569dc845ffb8930af1</anchor>
      <arglist>(const KeyID &amp;, const bool=false, Key *=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>52d8fbab7e39a916286f972c5a3cc0e2</anchor>
      <arglist>(const QStringList &amp;=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>1c9bb2e618be060741cb4cfe8eb6ccc8</anchor>
      <arglist>(const QStringList &amp;=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>b9c318e2189a872ba5a40896f4f114c1</anchor>
      <arglist>(const KeyID &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>bc0da3612b5bff5df76d9216b283d3d4</anchor>
      <arglist>(const KeyID &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>lastErrorMessage</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>5b40ce024da6a782622add865c7f31b3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>run</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>e400ca1885debc49d845e5dacfee4520</anchor>
      <arglist>(const char *cmd, const char *passphrase=0, bool onlyReadFromPGP=false)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>runGpg</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>8a8cff21ca01ad6b5ca31b58066e697d</anchor>
      <arglist>(const char *cmd, const char *passphrase=0, bool onlyReadFromGnuPG=false)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>afd37c734ed8ccb70213737dd57db7e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QCString</type>
      <name>addUserId</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>e8f2afb8d5d5e8db7754d6e29f865637</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>input</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>6c5950958f5e48d8cce21b94ecdbc1f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>output</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>208f4769de91b020eac39cb66347d93d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>error</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>244dddcecac920d303ead9fd691ba5db</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>errMsg</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>e83c87c054dc16ddda85763102fe37b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mVersion</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>77d93b4f70646b2e47fa97aa595e671f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>status</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>065b05487e9236cea8f5f195e8a3e610</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base2</name>
    <filename>classKpgp_1_1Base2.html</filename>
    <base>Kpgp::Base</base>
    <member kind="function">
      <type></type>
      <name>Base2</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>90ab6b957d7aed91b11b6d4f6f536bb0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base2</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>916e265b90b60a55364caba938080263</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>a744ef280beba3e0dfd602474b5c7bee</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>0800b13a904bc9667588c8673dc051f1</anchor>
      <arglist>(Block &amp;block, const char *passphrase)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>627c5a4ea76f0f16e045d6ae895d94a0</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>afa0ed7c614937aeb7c8ab785544a570</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>25d0f2791d3d35811e49a3f0b5081bc1</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>e03f8e2dbf1d86956fd0232ffb46d5f2</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>f3b49d3d33ca4d3a57898d006bdc7ae6</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>aa08b17fc5d5105d8b30828326186701</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>3f72f42faa85d252f36b8e92c03ee545</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>da5c764f596eeaf82e8c362be10fe8f6</anchor>
      <arglist>(const KeyID &amp;keyID, const char *passphrase)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KeyList</type>
      <name>doGetPublicKeys</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>694e992abf2854c493ec2ea3596f269e</anchor>
      <arglist>(const QCString &amp;cmd, const QStringList &amp;patterns)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>parseKeyList</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>966b3b4698580fd6ad138a2b12a6f347</anchor>
      <arglist>(const QCString &amp;, bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::BaseG</name>
    <filename>classKpgp_1_1BaseG.html</filename>
    <base>Kpgp::Base</base>
    <member kind="function">
      <type></type>
      <name>BaseG</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>614ba09643c4f3cc943495c41ab37cf7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BaseG</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>f8e70adaf7210552a2ee18ba86b454c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>e1064ee8f1a0e3198529e23cab10d662</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>5880f5132781da65dc81a5973ec2241c</anchor>
      <arglist>(Block &amp;block, const char *passphrase)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>534b87ecda9825bd94dd065c35d76fae</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>6c7380b24c05620ea2134908f0eca7d7</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>049b2e81c0b61752e9439fe8cbc91124</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>b7b17eb28599aa51533ed6c2c62dcf82</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>f5569ec9dc48bbd52c9ed23ce5db5c23</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>5dcdd3464b27c4d9fad0ae7b9b508de1</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>5e376867b7e876699c4651b56a4a585b</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>253d3e4adcdfc44e4154aca052341aa2</anchor>
      <arglist>(const KeyID &amp;keyID, const char *passphrase)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base5</name>
    <filename>classKpgp_1_1Base5.html</filename>
    <base>Kpgp::Base</base>
    <member kind="function">
      <type></type>
      <name>Base5</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>c2c51314ded9e034fa771b11230a026c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base5</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>9db3411c539255ad0b29a881b74802cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>bed172b6adfc1f34bc51feab2be2fb11</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a9447f2cb539924e8a6db02c57effc66</anchor>
      <arglist>(Block &amp;block, const char *passphrase)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>ac4411419a3fdfcc2ce48ffed6586ed3</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>e86aea28cd3e2aab95d8d0fe4828fb7d</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>d02f78c2e9926a3e23d6b60f7e1701b0</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>f1cc245a23ada88e3eb9a6747f1e54e0</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>0fa03f50507e6bbe5ddc806f83957745</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>fba4a17f57673b0588b07420f73d57bf</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>e5c82dd337c8625460a925b160808f1e</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>f8d8476be2c123d6e37081d2535d3e2a</anchor>
      <arglist>(const KeyID &amp;keyID, const char *passphrase)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base6</name>
    <filename>classKpgp_1_1Base6.html</filename>
    <base>Kpgp::Base2</base>
    <member kind="function">
      <type></type>
      <name>Base6</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>0d91c8871f417db3324a734458dfbe7c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base6</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>4471bc8170174a51315a2fdbba950b97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>edf01a249ece59f2fb690779ef4d8451</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>67a8a522f7b8105a67a6e45d54cd4abd</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>0ddaf96183af10d359e553ca61c8e5c6</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>dc4c846d0bd0a6e30dc0c1b52768391f</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>5f8b8bf8d4431c037ae1a35704634643</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>isVersion6</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>f3298ab3f69cbc19400d43451f995808</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>parseKeyList</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>1b5378e73e5153a95d382d6519a67856</anchor>
      <arglist>(const QCString &amp;, bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Block</name>
    <filename>classKpgp_1_1Block.html</filename>
    <member kind="function">
      <type></type>
      <name>Block</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>2243f760410358e60d4f56d9fd59e567</anchor>
      <arglist>(const QCString &amp;str=QCString())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Block</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>b2c634af4feb2f7a987f63222fe2f1ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>text</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>c72b5e2efd8699086c43b2df0a898b59</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>ca36539b326ab8c164910d1a048d02de</anchor>
      <arglist>(const QCString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProcessedText</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>2d8c38f4b1126ac15001fb5e4e1bdc16</anchor>
      <arglist>(const QCString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>status</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>ec7047affa5f8f4a120170b168131122</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>81d99350304ee680fa8c5ff6ca7b51d8</anchor>
      <arglist>(const int status)</arglist>
    </member>
    <member kind="function">
      <type>BlockType</type>
      <name>type</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>5e645b5501eb66969cb0f790ad753d75</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEncrypted</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>1707a8b5a5ba3ff6f7cd3d3049dc0c23</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSigned</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>75a7282976fb3e4711db6fbd5a9a99b0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>goodSignature</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>3a0088bdccd55613b6a65dc5e8f74f76</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>signatureUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>cfd13eae78fc3e885b818b5f0d7f322c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>d11648c342261354dd8df4ea7fe4658d</anchor>
      <arglist>(const QString &amp;userId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>signatureKeyId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>058eac1d1e5e67138688dc02324fb1cc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureKeyId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>488c333aa1e7396d2fcf74e36911ed9d</anchor>
      <arglist>(const QCString &amp;keyId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>signatureDate</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>e05dcb660fdc6eacd3d8761a8c4492c1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureDate</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>1d3e300431eefa764e14caca627b8d0d</anchor>
      <arglist>(const QCString &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>const QStrList</type>
      <name>encryptedFor</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>9867c327084236e9cc62de6a234307b2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>requiredKey</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>2d12385ed0a5231155323225b6e75654</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRequiredKey</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>285d9b030bac7aa2471838a674dff749</anchor>
      <arglist>(const QCString &amp;keyId)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>requiredUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>70c0246cad221ffd6cfa3ea35ab63ef9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRequiredUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>67ae9921ac14924e9ba544879fa97e5d</anchor>
      <arglist>(const QString &amp;userId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>error</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>dae10be66fa80032768cadd7981a55a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setError</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>8b2358a5a218469e82afba9f3b2eb9a6</anchor>
      <arglist>(const QCString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>7008975064addeccd4c9b9c63019822a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>1cea6e1563acda6ad2753daa91d21a5e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>5b330b15f84660d2d2d83acdacf34545</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>3fb10b739d98ccb229f6b09da85bd2df</anchor>
      <arglist>(const QCString &amp;keyId, const QCString &amp;charset=QCString())</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>953d2886af34face93a21a2f756f0162</anchor>
      <arglist>(const QStringList &amp;receivers, const QCString &amp;keyId, const bool sign, const QCString &amp;charset=QCString())</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyIDList</name>
    <filename>classKpgp_1_1KeyIDList.html</filename>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>f8a9a17bd0607273eb7be8f9ec7c0f38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>333ae7824c05994bb5eb032129b1d0dd</anchor>
      <arglist>(const KeyIDList &amp;l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>08c35af1429056794e59dac9a49077d1</anchor>
      <arglist>(const QValueList&lt; KeyID &gt; &amp;l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>64bf60952663b2dd134ab788475a721d</anchor>
      <arglist>(const KeyID &amp;i)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>toStringList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>d1558741318a51f1829731c569da703c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KeyIDList</type>
      <name>fromStringList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>c7a9e2312771ed5e0299278824e0d54d</anchor>
      <arglist>(const QStringList &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::UserID</name>
    <filename>classKpgp_1_1UserID.html</filename>
    <member kind="function">
      <type></type>
      <name>UserID</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>4b0bf748a1b1268ccb378ba0c561dcad</anchor>
      <arglist>(const QString &amp;str, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~UserID</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>5b3ead61853d6a74bfb90bfe7b7db4d8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>f6d7a77d4b8422f5566183f2f214eb0d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>bcfb2070872d57a953e6ec4e7594c59e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>7e840d778813e6e967a4c6ac293fac40</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>validity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>d7f979629bcd69150f19d5b926db358f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a0133f362c130e12445b715bfb4dc5f5</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>953ba47b0d3b851ed74ee213073f2676</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>776a01517cd7460018341834fe17b8ca</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValidity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>267fe61162401407c9af317589d9327e</anchor>
      <arglist>(const Validity validity)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>8975922cfff3f3cb046ed492d3beb6ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>5e5818b08594e1a8ac4c89ab907ec405</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Validity</type>
      <name>mValidity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>d7680e165e0152093474f728daaba7af</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mText</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>c1e13f731d8efeedd3f8ef9f680b5351</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Subkey</name>
    <filename>classKpgp_1_1Subkey.html</filename>
    <member kind="function">
      <type></type>
      <name>Subkey</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>4a0d7fae985dd1caf286f52e87e06e1c</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Subkey</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>ac9dd2bbb7ab230c775b2fd44a5266a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>e02348b02521fee117489ade3696efd1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>db1140aba09db09eafe23d24e8f8068f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>28ac674de09ddbff6895495da70b19de</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>89e68e8efdf28786cb873795656b3e5c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>980c9b84a7ada58aa25ec9e94e6063c0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>4641c9da8faff531804cc5f3f9b1f332</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>d096167a17794c67b8f6288e27b8c7b3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>7123ba165340ee5c42ef0ac6e9b0424f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyAlgorithm</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>68185eaa39fbe99cb2e26915b1fc2641</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyLength</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>5a5e612341a41b7938a4bae59cb9caec</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>longKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>8ef7b0b8b10e4c7026c45ad2e35c67eb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>keyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>b6223e57038cb58aaf9f94d9feaf6d2a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>fingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>541acd41fe7958f7ec4e004b4b4f4148</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>2768c9bf5ece5048faaebf48de65dea1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>expirationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>1396272b3b2a22a382e5d7fbd3620301</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>0d2ae833901945891e10c5157e2b81a2</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>2f8b4ed30f3d9c32fbd9da3531f2a5b8</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>794b6394295da947e3a57d4804b34c28</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>2a6a430f8b0971b610d2f637a061f910</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>bd3dc8d2fa22b7ab41004202c075f83d</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>5411d5086048cbe865b159c5aa6c905a</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>656d74041c13b493300b57b29d1fa691</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>33a4f9f3c43a1526363c96539bd16d12</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyAlgorithm</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>43405028147065497aed93250b6f90a9</anchor>
      <arglist>(const unsigned int keyAlgo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyLength</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>4f704202538efa058355734054b5994b</anchor>
      <arglist>(const unsigned int keyLen)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>cf8065480a2f4dcb1b2b868617723897</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>8ef232a60046405cef6f0ee771156250</anchor>
      <arglist>(const QCString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCreationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>d40a4cd6fc05a0e8767fbe7d49dddd51</anchor>
      <arglist>(const time_t creationDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpirationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>eca531b253fa20e9a638283369f0d430</anchor>
      <arglist>(const time_t expirationDate)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>1db0e851158c66a4c3c357fc9b8c02c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>d8303872737ecf52ec3059759c02ce72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExpired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>940e7c298e25652f91e8ee2eed320da1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mDisabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>8bdeba5217d0a2bdc8e564fcb6f47df6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>0539c31824e92f7a35bf9c4556910e03</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>41919a5f0a3c8e3539b2ee541e47c87a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>cc55fcb5787d70a8f09fbcd5296e5194</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>b1daed13ea0d4f82baf10159d1c128f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>mKeyAlgo</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>c481ff7e3590402b610e47fd9e562b99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>mKeyLen</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>6dd87c85ce62da9daf877cc41ca320d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KeyID</type>
      <name>mKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>329a5bf83ad98d1f272e333fbb3328ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mFingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>f6efdfb3516f631ecad01bd8f64b2b98</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mTimestamp</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a1d795979d8d79bec1f75476f0fbc1b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mExpiration</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a367685e957cf7fd1fae3e825a47c2a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Key</name>
    <filename>classKpgp_1_1Key.html</filename>
    <member kind="function">
      <type></type>
      <name>Key</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>d848b590c1fe097f23eff6b243978f91</anchor>
      <arglist>(const KeyID &amp;keyid=KeyID(), const QString &amp;uid=QString::null, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Key</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>50474e9f7954d383d2601515929b5055</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>f35203c2964cc14d9814b139dd0e2768</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>57e54d44997293386a7340db808b82d1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a98d1f2d4efa3ba730fa19ad04d8db18</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>bb40856e4bb3d37ab37acf75b6a5095a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a738357c5e7628bfec19dfab60b43414</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>24b3f557e1c07d1241c8c8177cf3dd25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>877b78389f26c6d4ea7f65be11db4ffc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>75f815236868cf6c238404d357372292</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>116d04d6943eb0f40c4729b2dcd842a0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>3cd64c4a8ae324a8382050df77bf4869</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>e734177a6d5a8f65a32668e0a988b579</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>e9fb78dcb3d5f7a1b17b984e00e57fe3</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ed47de6b2013c6024174885c4c9f7187</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>5050e9804070f5f6a6346e590e39b31e</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>7c1e0187a0853efca290700046e218bc</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>adf81966c3a7cf5bc243041ca136801e</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ce206302a33956db69c2bcc55b8bcf8c</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>EncryptPref</type>
      <name>encryptionPreference</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ce3391e101c90b66f16eafa4a4c3638a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionPreference</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>aa1986387d3466f1c359451b94a69f33</anchor>
      <arglist>(const EncryptPref encrPref)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>primaryUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>853ae1c8178a3789f66b09afc5dd4522</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>primaryKeyID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>dc238f387d947a9385604fd73e4e029a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>primaryFingerprint</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ea3a4255ad391fd7dd3f58b7d84a2162</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>d23f86a3ddfdd0680dfb7283a4187bd1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ced5e0b6dbf5a8478b4ff66b606f14d9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>c3c534c23f6d6a9c4f52eae480080fd1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>2a33780c387a94c7dc8adfd50057d44a</anchor>
      <arglist>(const QString &amp;uid) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cloneKeyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>b9967abc22456500a6dfdfe043bc4aaf</anchor>
      <arglist>(const Key *key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>6e22fefc5ac850f4a1f2052109dcf86f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidEncryptionKey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>bc892aedaa61899ea70ba0051edfdf9a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSigningKey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>c9207a8d3bae3e72fa48f78ce2de2991</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const UserIDList</type>
      <name>userIDs</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>b4d18f8281f520435b841d8f27da5538</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const SubkeyList</type>
      <name>subkeys</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>d79985abb8fbaa3db551fd3ccd3aa103</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a59b7570536dd1f449fa519b1d3626e4</anchor>
      <arglist>(const QString &amp;uid, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>48d0a19a02556f604d968822dbf75cda</anchor>
      <arglist>(const UserID *userID)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matchesUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>f2b319b3d50ef9f02b1a907956bafcc5</anchor>
      <arglist>(const QString &amp;str, bool cs=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>cf1b5e7846cbe15faf57be7168ec3d1c</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>2d44956faf2cb23a171c35540ee60155</anchor>
      <arglist>(const Subkey *subkey)</arglist>
    </member>
    <member kind="function">
      <type>Subkey *</type>
      <name>getSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>f520d70766bd34cd3f3bd51c6af3f8ba</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>56a0b9d0d73e0cff0d33d7b8a74cc471</anchor>
      <arglist>(const KeyID &amp;keyID, const QCString &amp;fpr)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>936b9689f6b9e9693e513c82b243fdd8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>881ed8b39c8da414c6ce37dc1fbca3e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExpired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>3569cfbf062e086a4a0f44df75fb46f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mDisabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>bd01bbe464a2322b17db8a11db2c1ae2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>8ac3db43cedd82fcec2d9a59f236b4cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>25168970f22953fdb9bf30880fbc3e6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>b1b34d5142df644b78b2757284e0406f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>76d2015b77909ec7b130a5c89fe98ba7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>EncryptPref</type>
      <name>mEncryptPref</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>e18cc82ce9f1de6676b6d617bf4b06e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SubkeyList</type>
      <name>mSubkeys</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>efc5f06ae469882456a002ae926b5d49</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>UserIDList</type>
      <name>mUserIDs</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a6991b8489d5280481b121a61a28172f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyList</name>
    <filename>classKpgp_1_1KeyList.html</filename>
    <member kind="function">
      <type></type>
      <name>~KeyList</name>
      <anchorfile>classKpgp_1_1KeyList.html</anchorfile>
      <anchor>54e6235b9726d9f17474578e0abbf225</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::PassphraseDialog</name>
    <filename>classKpgp_1_1PassphraseDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>PassphraseDialog</name>
      <anchorfile>classKpgp_1_1PassphraseDialog.html</anchorfile>
      <anchor>f8dc785776b5b51cc1ed085aa0b4e016</anchor>
      <arglist>(QWidget *parent=0, const QString &amp;caption=QString::null, bool modal=true, const QString &amp;keyID=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PassphraseDialog</name>
      <anchorfile>classKpgp_1_1PassphraseDialog.html</anchorfile>
      <anchor>0993568f7bb95ab9df4d361eb880732a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>passphrase</name>
      <anchorfile>classKpgp_1_1PassphraseDialog.html</anchorfile>
      <anchor>071b728f94f271196e72631ecf175995</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Config</name>
    <filename>classKpgp_1_1Config.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>5a9d831444566177a17766675a23a550</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Config</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>b9a52f8b4a14b583d38760f3c487f985</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool encrypt=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Config</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>c1a6757f136440732f5b69a3755b66c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setValues</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>2d2605527e331af7d81cad142dadf941</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applySettings</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>cf65128d86dd93d04b9711bda49d25b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QGroupBox *</type>
      <name>optionsGroupBox</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>99878f564c1183f3a298652c6b177890</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Module *</type>
      <name>pgp</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>84ada7113b2cf5a62aae95d14d399f39</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>storePass</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>b1dac617ea97cf5b987f7ac8c8ff4f84</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>encToSelf</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>38e6498cda198432e0ece965d42e0d4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>showCipherText</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>89149d1aefd2114d169940e8738c615a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>showKeyApprovalDlg</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>a1caf1b785434c96efecec9327a1341c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>toolCombo</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>09a5bf572c32bb16ec0cf1a3bb7c40d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGroupBox *</type>
      <name>mpOptionsGroupBox</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>92720b1e7778255e0b4646d8c85098eb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeySelectionDialog</name>
    <filename>classKpgp_1_1KeySelectionDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KeySelectionDialog</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>1cec0eeb010da733570865cb54ab6263</anchor>
      <arglist>(const KeyList &amp;keyList, const QString &amp;title, const QString &amp;text=QString::null, const KeyIDList &amp;keyIds=KeyIDList(), const bool rememberChoice=false, const unsigned int allowedKeys=AllKeys, const bool extendedSelection=false, QWidget *parent=0, const char *name=0, bool modal=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KeySelectionDialog</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>167d26cc068a677bc32f5f43010a430a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyID</type>
      <name>key</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>ef043895f5f9dc3036fe2a48ad5898e3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyIDList</type>
      <name>keys</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>d2fb50c859cc1581e25a659d0a772522</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>rememberSelection</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>a1db70440600d47dc95d1384ff1eee28</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotRereadKeys</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>c7b373ac79d8e9b92e1f79aa6255d62c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>4a22b1910106c258624fe046492f5b0f</anchor>
      <arglist>(QListViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>ffc5d0fe96c84fb4dfd7746dbedd2341</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCheckSelection</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>cf02066679114c9db490eceb14919e68</anchor>
      <arglist>(QListViewItem *=0)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotRMB</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>6ba406013d20ffe58d0989304ed7cb7a</anchor>
      <arglist>(QListViewItem *, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotRecheckKey</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>ee28c642f39c3479b3a6334c7fe099fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>d106ffe8a3996a4e6e6156bee92c188e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>a4bf310b7860b524a9d162af477d35e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSearch</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>6a97271cddf8b5b58caa1e829b84c440</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotFilter</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>a591ddbd9e7b2d3a61bc8d60c843d88c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyRequester</name>
    <filename>classKpgp_1_1KeyRequester.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>ae359ba4ccb05546e9c0b3752f1356a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyRequester</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>f9cdbf9660cfcd59e5562b00d1df217d</anchor>
      <arglist>(QWidget *parent=0, bool multipleKeys=false, unsigned int allowedKeys=AllKeys, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KeyRequester</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>0a658144332128759ffac0e1c61d3e33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KeyIDList</type>
      <name>keyIDs</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>519038ac92a0e2c0fb3d5d550a28f9c0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyIDs</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>459de2c9aa40a0059936107a802dac70</anchor>
      <arglist>(const KeyIDList &amp;keyIDs)</arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>eraseButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>d7a3e57899055ab13e90139c04d699ef</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>dialogButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>ced9688d466f2e6ad744c7506c9f4a96</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogCaption</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>3d97e9b926aa14380a799fea64a2ccf3</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogMessage</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>cf3a5ea12546e3127d7d519b9fb9de65</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMultipleKeysEnabled</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>3065786f6f22c4196c0edad0d2618d96</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMultipleKeysEnabled</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a4aa5c4829cd7ac4a1c8ef84ceb4d147</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>allowedKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>772b5e2ab902b46856c307dc24554e8d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowedKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>9ef4845002298f00a67bc7ef8615efb0</anchor>
      <arglist>(int allowed)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDialogButtonClicked</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>6f98cb8181a96c3555f4ef41d6c3264e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEraseButtonClicked</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>b8a47820c3b8592d7d6ac1ff730908b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual KeyIDList</type>
      <name>keyRequestHook</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>0c8a003c87a9c4c2edbca7609710ba5f</anchor>
      <arglist>(Module *pgp) const =0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>2897e8c5f303cc562e5b96501ea96d49</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLabel *</type>
      <name>mLabel</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>7fb30549aa7b6c535bce98380c4e53d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>mEraseButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a42a571804fe38a6b10d39a82cc85f1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>mDialogButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>14231dcbb37b01392ec759bbd92177e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDialogCaption</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>ff2ef632bd89b389d0a4a55cd9d931ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDialogMessage</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>c23ea92f0669e920ef43db60d9801519</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mMulti</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>55d13cf99c360d114dfdc42678c9bc15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mAllowedKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>eb3cfa92bc87150ee6f3f09c8c5a5c75</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KeyIDList</type>
      <name>mKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>6360393f16bd1c59ac594e14f1452fee</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::PublicKeyRequester</name>
    <filename>classKpgp_1_1PublicKeyRequester.html</filename>
    <base>Kpgp::KeyRequester</base>
    <member kind="function">
      <type></type>
      <name>PublicKeyRequester</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>bfa92c7a4a90859b44da8c34b8a1cbe3</anchor>
      <arglist>(QWidget *parent=0, bool multipleKeys=false, unsigned int allowedKeys=PublicKeys, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PublicKeyRequester</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>2cb9e7e03786779744fa43c25aae687f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KeyIDList</type>
      <name>keyRequestHook</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>f0aad3cfabb913f90dc4f854367a1a01</anchor>
      <arglist>(Module *pgp) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>1fec515c42aa0337406330eb2dae01a2</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::SecretKeyRequester</name>
    <filename>classKpgp_1_1SecretKeyRequester.html</filename>
    <base>Kpgp::KeyRequester</base>
    <member kind="function">
      <type></type>
      <name>SecretKeyRequester</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>49230ad26cd6199c7c404ca653725d54</anchor>
      <arglist>(QWidget *parent=0, bool multipleKeys=false, unsigned int allowedKeys=SecretKeys, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SecretKeyRequester</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>bdfca4472daadcff949b30a3bfbdef22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KeyIDList</type>
      <name>keyRequestHook</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>aae02705d7664f353612586c0b105ff0</anchor>
      <arglist>(Module *pgp) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>19c3e6a2d1ac55a1690fb41b0e08181e</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyApprovalDialog</name>
    <filename>classKpgp_1_1KeyApprovalDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KeyApprovalDialog</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>b86d540958455de063244cf120a23b83</anchor>
      <arglist>(const QStringList &amp;, const QValueVector&lt; KeyIDList &gt; &amp;, const int allowedKeys, QWidget *parent=0, const char *name=0, bool modal=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KeyApprovalDialog</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>f2a9bf5418f15010cc765117908c37c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueVector&lt; KeyIDList &gt;</type>
      <name>keys</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>b78420665079cd7b3aadd991aed61742</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>preferencesChanged</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>3413ac45335814da4d6c189c5ff267c5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPrefsChanged</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>7aa7460621cfe848dd56cf2ff9f25b63</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotChangeEncryptionKey</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>b3905ac717a5c814b1719c21393df395</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>a3d1c18276dbbbe74005399a089619de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>5ac10bf44e7e7940676b9c78fdd01548</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::CipherTextDialog</name>
    <filename>classKpgp_1_1CipherTextDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>CipherTextDialog</name>
      <anchorfile>classKpgp_1_1CipherTextDialog.html</anchorfile>
      <anchor>378c551b8a5710817a1baad9e194c52b</anchor>
      <arglist>(const QCString &amp;text, const QCString &amp;charset=0, QWidget *parent=0, const char *name=0, bool modal=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CipherTextDialog</name>
      <anchorfile>classKpgp_1_1CipherTextDialog.html</anchorfile>
      <anchor>5505767cba9dd39964c7107e6725b4e3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
