<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
    <class kind="class">KPIM::Signature</class>
    <class kind="class">KPIM::Identity</class>
    <class kind="class">KPIM::IdentityCombo</class>
    <class kind="class">KPIM::IdentityManager</class>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>7ef8eaf42652527b2bcceb349df8c8bd</anchor>
      <arglist>(QDataStream &amp;stream, const KPIM::Signature &amp;sig)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>13d76df60e2443e5dce9715c341c9598</anchor>
      <arglist>(QDataStream &amp;stream, KPIM::Signature &amp;sig)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>2e1c05b92e8eda4fc4c301a225cc592e</anchor>
      <arglist>(QDataStream &amp;stream, const KPIM::Identity &amp;i)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>0009cbbbdcccecc1233cb04bfff19ecb</anchor>
      <arglist>(QDataStream &amp;stream, KPIM::Identity &amp;i)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char *const</type>
      <name>IdentityManager_ftable</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>940f8c5aa8a36f2f2ab4dd9552ef61f9</anchor>
      <arglist>[2][3]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>IdentityManager_ftable_hiddens</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>38a557f09c1d2f759ffbd2cacbec16dc</anchor>
      <arglist>[1]</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::Signature</name>
    <filename>classKPIM_1_1Signature.html</filename>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>1984c73ba38afeafc66da77001acd9c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>11dad968daadfea2e2e9f04c9d7862b0</anchor>
      <arglist>(const Signature &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>acfc092d01d1efd7008c027caaa9203c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>ec6729193bcddf35888cc518e3d558c7</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>b1fb7a4e20ec5803ed06c58c073296da</anchor>
      <arglist>(const QString &amp;url, bool isExecutable)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>rawText</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>b1cd87ef09ce7762887b17bdaaf19176</anchor>
      <arglist>(bool *ok=0) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>withSeparator</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>f969285bf3da868fabbd8cc4f367964c</anchor>
      <arglist>(bool *ok=0) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>f38123e33540635e3e5a68121ab0161b</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>9b6d93035949a2c983ec285f5019298f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUrl</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>8d0af8f13cfba09fdef3c45c3c68a186</anchor>
      <arglist>(const QString &amp;url, bool isExecutable=false)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>01ab348886fec3a9ddb46286e274cc57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>821ee1f0d13aa772dbb0cd884e4c577a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>3a7f92e77de0f2564602dead8e8e59b4</anchor>
      <arglist>(Type type)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>91768ccb6863e9cc6a09a98ae9e3af8d</anchor>
      <arglist>(KConfigBase *config) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>2e663b4330038a106486b3ffe67cfe7e</anchor>
      <arglist>(const KConfigBase *config)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Identity</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>0356b07ec7295ba08eb3f7364cce24c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>12f00b9f84862c9c34d006a3ff791ecc</anchor>
      <arglist>(QDataStream &amp;stream, const Signature &amp;sig)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>12d2934f172516a4f44b53a7d82f5ea3</anchor>
      <arglist>(QDataStream &amp;stream, Signature &amp;sig)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::Identity</name>
    <filename>classKPIM_1_1Identity.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; Identity &gt;</type>
      <name>List</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>d019cfd8dc7215e5551e1ba579fad85d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>3500fa151a113387a77d5280e014c501</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a9bbf7538a0f27b629b56ccef0db11ac</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>814157ab38ad7a487d0bd3a26d8ee2ab</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>0bad5fe8429fd7ae5ca487a837c224a6</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;=</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>696ab1ada90800cd6c8bdb3b76b76866</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;=</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>609314cfc01fa6c70d6296ba5b3370f5</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Identity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>6f40da9edfb0cd778fe43f003605d041</anchor>
      <arglist>(const QString &amp;id=QString::null, const QString &amp;realName=QString::null, const QString &amp;emailAddr=QString::null, const QString &amp;organization=QString::null, const QString &amp;replyToAddress=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Identity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e2d2f09e464b093543e398e42669088c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mailingAllowed</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>4f037074684f707681debddb0f01bbf6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identityName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>90e5f1965e21babab7c08ce8a0cd1cb6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentityName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e265aeba4643e54c2ec412d57686d210</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefault</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>18639f3e0ae0a69cbf5e914493f1871f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>uoid</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>3136f30c4cb0d2be40e10ba623fac25a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>56bd42578d56ef3706096678716c0470</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFullName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>1237ea0db9c3ebe78b6474edf48f930c</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>organization</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>cb1606881ef04463e22db61dd3066367</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrganization</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>d7816667535d341eb10b3679c1924865</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QCString</type>
      <name>pgpIdentity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>6e07be3702bedbd3373857147807fb02</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED void</type>
      <name>setPgpIdentity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>2291e5cdb715396344d816ce5e40b31c</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>pgpEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a5b8f0088ad5943508a8a695c2dd2b6e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPGPEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>cfe8460cb1e58b09f38e423c7e000329</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>pgpSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>fc837bfb73c6d78113133ceb64dcdfc3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPGPSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>ed4b91b61b66a0c21df10b2dadbcd0f3</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>smimeEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>4df46f341b5ce230f429f7dc305f4d4d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSMIMEEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>38e691844504e021a2db1f0806dee26e</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>smimeSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b30c8c487e1a3ade7119de769d187f6f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSMIMESigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a1f4c46f2be1d857a364db2d20100dac</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>Kleo::CryptoMessageFormat</type>
      <name>preferredCryptoMessageFormat</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>5a6824bedbaaed3b320265af74cfc5bb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreferredCryptoMessageFormat</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>5c83bca10b0b80a79ca403f2074c6db6</anchor>
      <arglist>(Kleo::CryptoMessageFormat format)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>emailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>7d05d77f0c1b03affe903f5bbe9d9514</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>4625746336878bc5a6bd2a5871b95ae5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>vCardFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e25937c58cbe2c131f042ab0777986c2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVCardFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>d0fc3bda6190d90498331e50713c18e8</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullEmailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>9a256ff0b1cb25be8eb7c4bc7c3c947f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>replyToAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>5e1d598f0588d8e2d9563926ce23ce67</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplyToAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>abd8d10cc8a5a29c2fae8dc176d2156c</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>bcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>cddde23fb2b6230651273b6cac665798</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>1cc8a313223c66e79bf4f71433fb915c</anchor>
      <arglist>(const QString &amp;aBcc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignature</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>8f162050f4f8c8f414b812e91660d538</anchor>
      <arglist>(const Signature &amp;sig)</arglist>
    </member>
    <member kind="function">
      <type>Signature &amp;</type>
      <name>signature</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>8a10c26f9b6b64a1a94e74263e3f8cb6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Signature &amp;</type>
      <name>signature</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>73a25d32efc982d270c4cf43e2483cc5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>signatureText</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>10dc53cfed038b911d14f023680309d6</anchor>
      <arglist>(bool *ok=0) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>transport</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>52d377ca5e969ff63961d53898da8675</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTransport</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>c9684b7956926c849ce69303c09b87c9</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>cc999be414d6a1032fd2761093f13d12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e171c2b504bdb213a13516d65a9d0d92</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>drafts</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>abe1220896eaf7c16bc8a5902ad04a19</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrafts</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>55c85ab71db102be7132f75bc960fbe5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>templates</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>6c61fd4bc620c3e9100b803ffa1ee477</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTemplates</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>17ad7e08eb2103b531b018035e89993b</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dictionary</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e6b5adfb56f241adfdc3f110af5973d1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDictionary</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>1524b17679e903bdca6da5a2ea7b8b43</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>xface</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>6abf17567995e255c8e553299c7a416c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setXFace</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>3653e8a2af8fcb3717514b3c9c6838b1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isXFaceEnabled</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a53d78052d63a91ce0ef7553842d3137</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setXFaceEnabled</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>2e49ce80853f5d92dae9160e2482a960</anchor>
      <arglist>(const bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>60fedf71afa173b01ec38a9e67816883</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const Identity &amp;</type>
      <name>null</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>65941a59bbf4888a6e7d21425288436f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>c0480f1934ca6fbe1973bbf5b327eec6</anchor>
      <arglist>(const KConfigBase *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>42e14403886a7104eb43dc70199cbbeb</anchor>
      <arglist>(KConfigBase *) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIsDefault</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>57366a554c7ae528ecd1f95b340eb8a2</anchor>
      <arglist>(bool flag)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setUoid</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>64fd523e95b7d032ea2cd302ddd2d47b</anchor>
      <arglist>(uint aUoid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsCommand</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>07476a56f69563c7876630db7f7ae1bf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsPlainFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e85693f856a5fdfda7a518869c0ae7a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsInline</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>2ad1dbded76c4042c3417cf393562444</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>signatureFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>dde1de4118419f5422e3964cb72603c2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSignatureFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>930d9962d9cca7746ff935cab288d0fc</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>signatureInlineText</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>1e3bddfe820d1f02408af7cafcd3b71e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSignatureInlineText</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>2ba5866e5f3bcb1af959edbb566806f8</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>useSignatureFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>8150f2ba0c93c6c856265f7cd5040789</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mUoid</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>74746aaf22b431ac5d3021cc1d590ab1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mIdentity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>171c1c99f15f22b2b5136ca1f5007130</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mFullName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>5ea57a9a85cafdabfaa5c891b932a0f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mEmailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>17cfd8401f2cc207876c5bb129e73e24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mOrganization</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a603a1504a0b3806590b2c13f732c68e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mReplyToAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>46503e0a820b6476e6815850fa895ee4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mBcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>ccfb8d62caa7a1a97dd01a2b3e6f2f29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mVCardFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>c0836ee790bf9703c4dc90c661ddcda8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mPGPEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>cf0dfcb120dd477ecebc78000e752d17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mPGPSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>57831ed0300ddd9658d2ff2a2addefeb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mSMIMEEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>f9243f7ee87c928d38bb101c834247f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mSMIMESigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>9b9b4713d68a52c4afc60fab89b5eb4c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mFcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>28b935483d1f57c156dc89dc9e13c286</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDrafts</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>f3f57754fdb1cd1853c2c55a2e550dc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mTemplates</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>7540b40b3af7cab16126575551990646</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mTransport</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>c6da7e87118281defdf6d0089e1bc1b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDictionary</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>53f1881f5a692b67a0ac3e61a52abe31</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mXFace</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>8d1c618b564f4af04ec987b98c5c54e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mXFaceEnabled</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>54bfc34b1b8fd79a56f852d0ebb48220</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Signature</type>
      <name>mSignature</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>3a80710ec38ebd52c32846a19255a2fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mIsDefault</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>fa3f44fa0982b2e0353de386c943bc61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Kleo::CryptoMessageFormat</type>
      <name>mPreferredCryptoMessageFormat</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>0701ee28e127b461ca991c1ebf18c9db</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>IdentityManager</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>9ec97331a75475c98ace36b7cd7ee410</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>17cd7d45454021043e17c3bd364a9dd2</anchor>
      <arglist>(QDataStream &amp;stream, const KPIM::Identity &amp;ident)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>5f7fd929ecf3f70cfff8af1d0702c705</anchor>
      <arglist>(QDataStream &amp;stream, KPIM::Identity &amp;ident)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::IdentityCombo</name>
    <filename>classKPIM_1_1IdentityCombo.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotIdentityManagerChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>f729f5c60425bde6dcddc9b13fa2cee9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>identityChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>7f3f78e4fcb85b09ff7555e6bc62ffa3</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>identityChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>a8a83affeb0df0db1d0d375d9e4dccb1</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdentityCombo</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>c56af8546bdba3f4d55f07b3a58ebd11</anchor>
      <arglist>(IdentityManager *manager, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentIdentityName</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>859f34d6122a5dcb3d5ef8ab22279313</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>currentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>facc0ff7b6521b48c37652c7f752a475</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>b09eb6cff5e8da001d7066005af0b9f8</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>ce26f2209ead0fda271a0a414b5a3390</anchor>
      <arglist>(const Identity &amp;identity)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>c2e8f40e36ffc6b32e420ff1d2972f79</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEmitChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>b859ed474b612db72a43ece7eef8c768</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadCombo</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>479dea4dd0c61fda3c7f942d27437382</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadUoidList</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>d7cc34bd64f9d2fb9d7890542a021887</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; uint &gt;</type>
      <name>mUoidList</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>86698b9091e015737afb1ca05553fc10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>IdentityManager *</type>
      <name>mIdentityManager</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>0d4a93641e0ab3611b29d4aaad534eac</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::IdentityManager</name>
    <filename>classKPIM_1_1IdentityManager.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; Identity &gt;::Iterator</type>
      <name>Iterator</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>e166770c9765453357806f2f56c4f143</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QValueList&lt; Identity &gt;::ConstIterator</type>
      <name>ConstIterator</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>7733cd687554a932296f6f1e3f12c31b</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>e375f07df7fdb4875f738b27f49c06ba</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>5f79053ad40fedb4452f174edc5c92ea</anchor>
      <arglist>(const KPIM::Identity &amp;ident)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deleted</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>e63809b44c51ecc8ecb47ec327a650cb</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>added</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>5f1c95a80a5ff347acffaa8380b9349d</anchor>
      <arglist>(const KPIM::Identity &amp;ident)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>slotIdentitiesChanged</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>0639cf0828d4bc89b31dad0987a37a0f</anchor>
      <arglist>(QCString appId, QCString objId)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdentityManager</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>e45377d3905d1744e2a663bc11ab5639</anchor>
      <arglist>(bool readonly=false, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~IdentityManager</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>9f878ea923c44e2998457dc9cb7e5c12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>commit</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>e331ca80204de406dbc4304cf0423c11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rollback</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>1b8d883be6690a72ce061f92a58c9a82</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasPendingChanges</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>b4971f4ce7a32a135af9c3659b0f6bd8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>identities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>b4a2f58d84f00d2b74301023d173e7d4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>shadowIdentities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>904497c2d5f43e4d5d32993035a465a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sort</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>24d12f2a90b5224bd423526696daafdd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForAddress</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>9a11283ec296e30d6819042f48d593ed</anchor>
      <arglist>(const QString &amp;addresses) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>thatIsMe</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>b4cf610d45e3864029bc4a424ab0827f</anchor>
      <arglist>(const QString &amp;addressList) const</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForName</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>bcf852c690a6411fc4dd4cbded414b26</anchor>
      <arglist>(const QString &amp;identityName) const</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForUoid</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>0532b4b6b4e15e6b5eaf57ab43d522f2</anchor>
      <arglist>(uint uoid) const</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForNameOrDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>bdb3e7e29738afbe7983512d4051f665</anchor>
      <arglist>(const QString &amp;identityName) const</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForUoidOrDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>9d180400dbf9ee2f45bf1ff2902cc0ce</anchor>
      <arglist>(uint uoid) const</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>defaultIdentity</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>6f35aa52dd2c744fe08c60259920be08</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setAsDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>377594c2095151a19f05c1f3e787e068</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setAsDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>b8a4d079f82d9619e0ca835566fe0096</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>modifyIdentityForName</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>72394317dd13a2f94922cb5196e7409e</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>modifyIdentityForUoid</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>9659c888cd4cbc62a95048f9e6ee8a98</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeIdentity</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>ddbea6607b969f58715da242db14d287</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>ConstIterator</type>
      <name>begin</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>d2dfaa96d17e30e135e81f88846bbd4a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ConstIterator</type>
      <name>end</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>d20bbf9adeb3c58765a41453414af5cd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>modifyBegin</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>798b9732edf34169bdb3aa9601158615</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>modifyEnd</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>8277b1b8515bd7539fde5d256000e2b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>newFromScratch</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>c8bc925bdac994554fadafadce4edb42</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>newFromControlCenter</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>dec08e7774a7c838e6847493b3b53e3b</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>newFromExisting</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>04600fad21fbf350e287ba0396e01d06</anchor>
      <arglist>(const Identity &amp;other, const QString &amp;name=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>allEmails</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>42d703db9710b726e00229cb565b3781</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRollback</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>95f6ce3d29301192af977826cb733441</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createDefaultIdentity</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>ce5849092f0a8237e17ec5efecae085d</anchor>
      <arglist>(QString &amp;, QString &amp;)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; Identity &gt;</type>
      <name>mIdentities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>fa7aed993d947e6e7048be73832ebd34</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; Identity &gt;</type>
      <name>mShadowIdentities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>e599474e0259ecec37423d60febd3ece</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
